/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema;

import java.util.Calendar;
import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;
import blackboard.servlet.util.DatePickerUtil;

@Table("ntnu_peer_assessment")
public class Assessment  extends AbstractIdentifiable {

		   public static final DataType DATA_TYPE = new DataType( Assessment.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   /*
		    * BBLEARN-# \d public.ntnu_peer_assessment
               Table "public.ntnu_peer_assessment"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
				 course_id		     | Integer				  |
				 assessment_name     | character varying(256) | not null
		      assessment_instructions| character varying(256) | 
		   	  nr_of_submissions_to_evaluate | integer	  | not null
		   		assessment_user_id   | integer				  |
		   		rubric_id		     | integer				  |
		   		submission_date_start| datetime				  |
		   		submission_date_end	 | datetime				  |
		   		assignment_type	     | char(1)				  |
		   		nr_of_attempts	     | integer				  |
		   		anonym_grading	     | char(1)			 	  |
		   		delegate_grading     | char(1)				  |
		   		points_possible		 | integer				  |
		   		primary_check		 | char(1)				  |
		   		secondary_check		 | char(1)				  |
		   	evaluation_instructions	 | character varying(256) |
		   		submission_groups	 | character varying(256) |
		   		content_id	 		 | Integer				  |
		   		review_of_review 	 | char(1)				  |
		   reivew_of_review_max_score| Integer				  |
		    */
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "course_id")
		   private Integer courseId;
		   
		   @Column(value = "assessment_name")
		   private String name;
		   
		   @Column(value = "assessment_instructions")
		   private String instructions;
		   
		   @Column(value = "nr_of_submissions_to_evaluate")
		   private int nrOfSubmissions;
		   
		   @Column(value = "assessment_user_id")
		   private int userId;
		   
		   @Column(value = "rubric_id")
		   private Integer rubricId;
		   
		   @Column(value = "submission_date_start")
		   private Calendar submissionDateStart;
		   
		   @Column(value = "submission_date_end")
		   private Calendar submissionDateEnd;
		   
		   @Column(value = "peer_review_date_start")
		   private Calendar peerDateStart;
		   
		   @Column(value = "peer_review_date_end")
		   private Calendar peerDateEnd;
		   
		   @Column(value = "assignment_type")
		   private String assignmentType;
		   
		   @Column(value = "nr_of_attempts")
		   private int nrOfAttempts;
		   
		   @Column(value = "anonym_grading")
		   private String anonymousGrading;
		   
		   @Column(value = "delegate_grading")
		   private String delegateGrading;
		
		   @Column(value = "points_possible")
		   private int pointsPossible;
		   
		   @Column(value = "primary_check")
		   private String primaryCheck;
		   
		   @Column(value = "secondary_check")
		   private String secondaryCheck;
		   
		   @Column(value = "show_grade_options")
		   private String grade_options;
		   
		   @Column(value = "show_stud_my_grade")
		   private String show_stud_my_grade;
		   
		   @Column(value = "show_stat_my_grade")
		   private String show_stat_my_grade;
		   
		   @Column(value = "include_grade_center_calc")
		   private String include_grade_center_calc;
		   
		   @Column(value = "show_eval_sub")
		   private String showEvalSub;
		   
		   @Column(value = "self_eval")
		   private String selfEval;
		   
		   @Column(value = "evaluation_instructions")
		   private String evaluationInstructions;
		   
		   @Column(value = "submission_groups")
		   private String submissionGroups;
		   
		   @Column(value = "content_id")
		   private Integer contentId;
		   
		   @Column(value = "review_of_review")
		   private String reviewOfReview;
		   
		   @Column(value = "reivew_of_review_max_score")
		   private Integer reviewOfReviewMaxScore;
		   


		/**
			 * @return the props_id
			 */
			public int getPropertyId() {
				return pk1;
			}
			
			
		
		/**
		 * @return the courseId
		 */
		public Integer getCourseId() {
			return courseId;
		}



		/**
		 * @param courseId the courseId to set
		 */
		public void setCourseId(Integer courseId) {
			this.courseId = courseId;
		}



		/**
		 * @return the name
		 */
		public String getName() {
			return name;
		}

		/**
		 * @param name the name to set
		 */
		public void setName(String newName) {
			this.name = newName;
		}
		
		/**
		 * @return the instructions
		 */
		public String getInstructions() {
			return instructions;
		}

		/**
		 * @param instructions the newInstructions to set
		 */
		public void setInstructions(String newInstructions) {
			this.instructions = newInstructions;
		}  
		
		/**
		 * @return the user Id
		 */
		public int getUserId() {
			return userId;
		}

		/**
		 * @param status the props_links to set
		 */
		public void setUserId(int newUserId) {
			this.userId = newUserId;
		}


		/**
		 * @return the nrOfSubmissions
		 */
		public int getNrOfSubmissions() {
			return nrOfSubmissions;
		}


		/**
		 * @param nrOfSubmissions the nrOfSubmissions to set
		 */
		public void setNrOfSubmissions(int nrOfSubmissions) {
			this.nrOfSubmissions = nrOfSubmissions;
		}


		/**
		 * @return the rubricId
		 */
		public Integer getRubricId() {
			return rubricId;
		}


		


		/**
		 * @return the submissionDateStart
		 */
		public Calendar getSubmissionDateStart() {
			return submissionDateStart;
		}



		/**
		 * @param submissionDateStart the submissionDateStart to set
		 */
		public void setSubmissionDateStart(Calendar submissionDateStart) {
			this.submissionDateStart = submissionDateStart;
		}



		/**
		 * @return the submissionDateEnd
		 */
		public Calendar getSubmissionDateEnd() {
			return submissionDateEnd;
		}



		/**
		 * @param submissionDateEnd the submissionDateEnd to set
		 */
		public void setSubmissionDateEnd(Calendar submissionDateEnd) {
			this.submissionDateEnd = submissionDateEnd;
		}



		/**
		 * @return the assignmentType
		 */
		public String getAssignmentType() {
			return assignmentType;
		}


		/**
		 * @param assignmentType the assignmentType to set
		 */
		public void setAssignmentType(String assignmentType) {
			this.assignmentType = assignmentType;
		}


		/**
		 * @return the nrOfAttempts
		 */
		public int getNrOfAttempts() {
			return nrOfAttempts;
		}


		/**
		 * @param nrOfAttempts the nrOfAttempts to set
		 */
		public void setNrOfAttempts(int nrOfAttempts) {
			this.nrOfAttempts = nrOfAttempts;
		}


		/**
		 * @return the anonymousGrading
		 */
		public String getAnonymousGrading() {
			return anonymousGrading;
		}


		/**
		 * @param anonymousGrading the anonymousGrading to set
		 */
		public void setAnonymousGrading(String anonymousGrading) {
			this.anonymousGrading = anonymousGrading;
		}


		/**
		 * @return the delegateGrading
		 */
		public String getDelegateGrading() {
			return delegateGrading;
		}


		/**
		 * @param delegateGrading the delegateGrading to set
		 */
		public void setDelegateGrading(String delegateGrading) {
			this.delegateGrading = delegateGrading;
		}


		/**
		 * @param rubricId the rubricId to set
		 */
		public void setRubricId(Integer rubricId) {
			this.rubricId = rubricId;
		}


		



		/**
		 * Helper method to fetch start date as string
		 */
		public String getStartDateAsString(){
			return DatePickerUtil.pickerDatetimeCalToStr(getSubmissionDateStart());
		
		}
		/**
		 * Helper method to fetch end date as string
		 */
		public String getEndDateAsString(){
			return DatePickerUtil.pickerDatetimeCalToStr(getSubmissionDateEnd());
			
		}
		
		/**
		 * Helper method to fetch evaluation start date as string
		 */
		public String getEvaluationStartDateAsString(){
			return DatePickerUtil.pickerDatetimeCalToStr(getPeerDateStart());
		
		}
		/**
		 * Helper method to fetch evaluation end date as string
		 */
		public String getEvaluationEndDateAsString(){
			return DatePickerUtil.pickerDatetimeCalToStr(getPeerDateEnd());
			
		}
		
		public int getPointsPossible() {
			return pointsPossible;
		}



		public void setPointsPossible(int pointsPossible) {
			this.pointsPossible = pointsPossible;
		}



		public String getPrimaryCheck() {
			return primaryCheck;
		}



		public void setPrimaryCheck(String primaryCheck) {
			this.primaryCheck = primaryCheck;
		}



		public String getSecondaryCheck() {
			return secondaryCheck;
		}



		public void setSecondaryCheck(String secondaryCheck) {
			this.secondaryCheck = secondaryCheck;
		}



		public String getGrade_options() {
			return grade_options;
		}



		public void setGrade_options(String grade_options) {
			this.grade_options = grade_options;
		}



		public String getShow_stud_my_grade() {
			return show_stud_my_grade;
		}



		public void setShow_stud_my_grade(String show_stud_my_grade) {
			this.show_stud_my_grade = show_stud_my_grade;
		}



		public String getShow_stat_my_grade() {
			return show_stat_my_grade;
		}



		public void setShow_stat_my_grade(String show_stat_my_grade) {
			this.show_stat_my_grade = show_stat_my_grade;
		}



		public String getInclude_grade_center_calc() {
			return include_grade_center_calc;
		}



		public void setInclude_grade_center_calc(String include_grade_center_calc) {
			this.include_grade_center_calc = include_grade_center_calc;
		}



		public Calendar getPeerDateStart() {
			return peerDateStart;
		}



		public void setPeerDateStart(Calendar peerDateStart) {
			this.peerDateStart = peerDateStart;
		}



		public Calendar getPeerDateEnd() {
			return peerDateEnd;
		}



		public void setPeerDateEnd(Calendar peerDateEnd) {
			this.peerDateEnd = peerDateEnd;
		}



		public String getShowEvalSub() {
			return showEvalSub;
		}



		public void setShowEvalSub(String showEvalSub) {
			this.showEvalSub = showEvalSub;
		}



		public String getSelfEval() {
			return selfEval;
		}



		public void setSelfEval(String selfEval) {
			this.selfEval = selfEval;
		}



		/**
		 * @return the evaluationInstructions
		 */
		public String getEvaluationInstructions() {
			return evaluationInstructions;
		}



		/**
		 * @param evaluationInstructions the evaluationInstructions to set
		 */
		public void setEvaluationInstructions(String evaluationInstructions) {
			this.evaluationInstructions = evaluationInstructions;
		}



		/**
		 * @return the submissionGroups
		 */
		public String getSubmissionGroups() {
			return submissionGroups;
		}



		/**
		 * @param submissionGroups the submissionGroups to set
		 */
		public void setSubmissionGroups(String submissionGroups) {
			this.submissionGroups = submissionGroups;
		}



		/**
		 * @return the contentId
		 */
		public Integer getContentId() {
			return contentId;
		}



		/**
		 * @param contentId the contentId to set
		 */
		public void setContentId(Integer contentId) {
			this.contentId = contentId;
		}



		/**
		 * @return the reviewOfReview
		 */
		public String getReviewOfReview() {
			return reviewOfReview;
		}



		/**
		 * @param reviewOfReview the reviewOfReview to set
		 */
		public void setReviewOfReview(String reviewOfReview) {
			this.reviewOfReview = reviewOfReview;
		}



		/**
		 * @return the reviewOfReviewMaxScore
		 */
		public Integer getReviewOfReviewMaxScore() {
			return reviewOfReviewMaxScore;
		}



		/**
		 * @param reviewOfReviewMaxScore the reviewOfReviewMaxScore to set
		 */
		public void setReviewOfReviewMaxScore(Integer reviewOfReviewMaxScore) {
			this.reviewOfReviewMaxScore = reviewOfReviewMaxScore;
		}

		
		
		
		
		
		
		
}

