/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema;

import java.util.List;

import org.apache.log4j.Logger;

import no.ntnu.es.bb.schema.Assessment;
import blackboard.persist.Id;
import blackboard.persist.PersistenceException;
import blackboard.persist.KeyNotFoundException;
import blackboard.persist.dao.impl.SimpleDAO;
import blackboard.persist.impl.SimpleSelectQuery;
import blackboard.util.StringUtil;

public class AssessmentDAO extends SimpleDAO<Assessment> {
	private static final Logger LOGGER = Logger.getLogger( AssessmentDAO.class.getName() );
	public AssessmentDAO() {
		super(Assessment.class);
	}

	public AssessmentDAO(Class<Assessment> cls) {
		super(cls);
	}

	public List<Assessment> loadAll() {
		return getDAOSupport().loadAll();
	}

	public List<Assessment> searchById(String id) 
			throws KeyNotFoundException {
		if (!StringUtil.isEmpty(id)) {
			SimpleSelectQuery query = new SimpleSelectQuery(getDAOSupport().getMap());
			//Change column name to whatever the name is in the bean
			query.addWhere("pk1", id);
			return getDAOSupport().loadList(query);
		}
		return null;  
	} 
	
	//Currently loads the last element in the list (last added)
    public Assessment loadById(long id)  {
        Assessment assessment = null; 
        try {
        	 Id realId = Id.generateId(Assessment.DATA_TYPE, id);
        	 assessment = getDAOSupport().loadById(realId);
		} catch (PersistenceException e1) {
			LOGGER.debug("Failed to load courseID! ID: "+ id +" # " + e1);
			e1.printStackTrace();
		}
       
        LOGGER.debug("Assessment Loaded succsessfully "+ id +" # " + assessment);
        if(assessment!=null){
        	return assessment;
        }
        else return null;
    } 
    
  //Currently loads the last element in the list (last added)
    public Assessment loadLast() {
        List<Assessment> globalSettings;
        globalSettings = getDAOSupport().loadAll();
        if(globalSettings!=null&&!globalSettings.isEmpty()){
            //DEBUGGING
        	for (Assessment assessment : globalSettings) {
        		LOGGER.debug("A#"+ assessment);
			}
        return globalSettings.get(globalSettings.size()-1);
        }
        else return null;
    } 
    
    public void save(Assessment globalSettings) {
        System.out.println(globalSettings);        
                
        getDAOSupport().persist(globalSettings);
    }
    
    public boolean isInstalled(){
        List<Assessment> globalSettings = null;
        globalSettings = getDAOSupport().loadAll();
        
   
        if (globalSettings.size() > 0) {
            return true;
        }
        return false;
    }
    
    public void writeDefaults() {
    	Assessment globalSettings = new Assessment();
        
        getDAOSupport().persist(globalSettings);
        
    }
}
