/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema;
import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;


@Table("ntnu_peer_evaluation")
public class Evaluation  extends AbstractIdentifiable {
	
		   public static final DataType DATA_TYPE = new DataType( Evaluation.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   
		   /*
		    * BBLEARN-# \d public.ntnu_peer_evaluation
               Table "public.ntnu_peer_evaluation"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
				 reviewer_user_id	 | Integer				  | not null
				 peer_submission_id  | Integer 				  |  
		   		 evaluation_text     | character varying(256) | 
		   		 evaluated_rubric    | character varying(256) |
		   		 evaluation_score    | integer 				  |
		   		 override_evaluation_score| integer			  |
		   		 rubric_evaluation_score| integer			  |
		   		 override_rubric_score| integer				  |
		   		 is_teacher   	 	 | char(1) 				  |
		   		 group_evaluation_id | Integer 				  |
		    */
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "reviewer_user_id")
		   private Integer reviewerUserId;
		   
		   @Column(value = "peer_submission_id")
		   private Integer peerSubmissiontId;
		   
		   @Column(value = "evaluation_text")
		   private String evaluationText;
		   
		   @Column(value = "evaluated_rubric")
		   private String evaluatedRubric;
		   
		   @Column(value = "evaluation_score")
		   private int evaluationScore = 0;
		   
		   @Column(value = "is_teacher")
		   private String isTeatcher;
		   
		   @Column(value = "override_rubric_score")
		   private String overrideRubricScore;
		   
		   @Column(value = "evaluator_score")
		   private Integer evaluatorScore;
		   
		   @Column(value = "override_evaluation_score")
		   private Integer overrideEvaluationScore = 0;
		   
		   @Column(value= "rubric_evaluation_score")
		   private Integer rubricEvaluationScore = 0;
		   
		   @Column(value = "group_evaluation_id")
		   private Integer groupEvaluationId;
		   
		   /**
			 * @return the props_id
			 */
			public int getPropertyId() {
				return pk1;
			}


		/**
		 * @return the reviewerUserId
		 */
		public Integer getReviewerUserId() {
			return reviewerUserId;
		}


		/**
		 * @param reviewerUserId the reviewerUserId to set
		 */
		public void setReviewerUserId(Integer reviewerUserId) {
			this.reviewerUserId = reviewerUserId;
		}


		/**
		 * @return the peerSubmissiontId
		 */
		public Integer getPeerSubmissiontId() {
			return peerSubmissiontId;
		}


		/**
		 * @param peerSubmissiontId the peerSubmissiontId to set
		 */
		public void setPeerSubmissiontId(Integer peerSubmissiontId) {
			this.peerSubmissiontId = peerSubmissiontId;
		}


		/**
		 * @return the evaluationText
		 */
		public String getEvaluationText() {
			return evaluationText;
		}


		/**
		 * @param evaluationText the evaluationText to set
		 */
		public void setEvaluationText(String evaluationText) {
			this.evaluationText = evaluationText;
		}


		/**
		 * @return the evaluatedRubric
		 */
		public String getEvaluatedRubric() {
			return evaluatedRubric;
		}


		/**
		 * @param evaluatedRubric the evaluatedRubric to set
		 */
		public void setEvaluatedRubric(String evaluatedRubric) {
			this.evaluatedRubric = evaluatedRubric;
		}


		/**
		 * @return the evaluationScore
		 */
		public int getEvaluationScore() {
			return evaluationScore;
		}


		/**
		 * @param evaluationScore the evaluationScore to set
		 */
		public void setEvaluationScore(int evaluationScore) {
			this.evaluationScore = evaluationScore;
		}


		/**
		 * @return the isTeatcher
		 */
		public String getIsTeatcher() {
			return isTeatcher;
		}


		/**
		 * @param isTeatcher the isTeatcher to set
		 */
		public void setIsTeatcher(String isTeatcher) {
			this.isTeatcher = isTeatcher;
		}


		/**
		 * @return the evaluatorScore
		 */
		public Integer getEvaluatorScore() {
			return evaluatorScore;
		}


		/**
		 * @param evaluatorScore the evaluatorScore to set
		 */
		public void setEvaluatorScore(Integer evaluatorScore) {
			this.evaluatorScore = evaluatorScore;
		}


		public String getOverrideRubricScore() {
			return overrideRubricScore;
		}


		public void setOverrideRubricScore(String overrideRubricScore) {
			this.overrideRubricScore = overrideRubricScore;
		}


		public Integer getRubricEvaluationScore() {
			return rubricEvaluationScore;
		}


		public void setRubricEvaluationScore(Integer rubricEvaluationScore) {
			this.rubricEvaluationScore = rubricEvaluationScore;
		}


		public Integer getOverrideEvaluationScore() {
			return overrideEvaluationScore;
		}


		public void setOverrideEvaluationScore(Integer overrideEvaluationScore) {
			this.overrideEvaluationScore = overrideEvaluationScore;
		}


		/**
		 * @return the groupEvaluationId
		 */
		public Integer getGroupEvaluationId() {
			return groupEvaluationId;
		}


		/**
		 * @param groupEvaluationId the groupEvaluationId to set
		 */
		public void setGroupEvaluationId(Integer groupEvaluationId) {
			this.groupEvaluationId = groupEvaluationId;
		}

		
	
		
		
}

