/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema;

import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;


@Table("ntnu_review_of_evaluation")
public class ReviewOfEvaluation  extends AbstractIdentifiable {

		   public static final DataType DATA_TYPE = new DataType( ReviewOfEvaluation.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   
		   /*
		    * BBLEARN-# \d public.ntnu_review_of_evaluation
               Table "public.ntnu_review_of_evaluation"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
				 peer_evaluation_id	 | Integer				  | not null
				 review_text	     | character varying(256) | 
		   		 review_score	     | Integer 				  | 
		    */
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "peer_evaluation_id")
		   private Integer peerEvaluationId;
		   
		   @Column(value = "review_text")
		   private String reviewText;
		   
		   @Column(value = "review_score")
		   private Integer reviewScore;
		   
		   
		   /**
			 * @return the props_id
			 */
			public int getPropertyId() {
				return pk1;
			}


		/**
		 * @return the peerEvaluationId
		 */
		public Integer getPeerEvaluationId() {
			return peerEvaluationId;
		}


		/**
		 * @param peerEvaluationId the peerEvaluationId to set
		 */
		public void setPeerEvaluationId(Integer peerEvaluationId) {
			this.peerEvaluationId = peerEvaluationId;
		}


		/**
		 * @return the reviewText
		 */
		public String getReviewText() {
			return reviewText;
		}


		/**
		 * @param reviewText the reviewText to set
		 */
		public void setReviewText(String reviewText) {
			this.reviewText = reviewText;
		}


		/**
		 * @return the reviewScore
		 */
		public Integer getReviewScore() {
			return reviewScore;
		}


		/**
		 * @param reviewScore the reviewScore to set
		 */
		public void setReviewScore(Integer reviewScore) {
			this.reviewScore = reviewScore;
		}

			
}

