/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema;

import java.util.List;

import org.apache.log4j.Logger;

import no.ntnu.es.bb.schema.Submission;
import blackboard.persist.Id;
import blackboard.persist.PersistenceException;
import blackboard.persist.KeyNotFoundException;
import blackboard.persist.dao.impl.SimpleDAO;
import blackboard.persist.impl.SimpleSelectQuery;
import blackboard.util.StringUtil;

public class ReviewOfEvaluationDAO extends SimpleDAO<ReviewOfEvaluation> {
	private static final Logger LOGGER = Logger.getLogger( ReviewOfEvaluationDAO.class.getName() );
	public ReviewOfEvaluationDAO() {
		super(ReviewOfEvaluation.class);
	}

	public ReviewOfEvaluationDAO(Class<ReviewOfEvaluation> cls) {
		super(cls);
	}

	public List<ReviewOfEvaluation> loadAll() {
		return getDAOSupport().loadAll();
	}

	public List<ReviewOfEvaluation> searchById(String id) 
			throws KeyNotFoundException {
		if (!StringUtil.isEmpty(id)) {
			SimpleSelectQuery query = new SimpleSelectQuery(getDAOSupport().getMap());
			//Change column name to whatever the name is in the bean
			query.addWhere("pk1", id);
			return getDAOSupport().loadList(query);
		}
		return null;  
	} 
	
	
	public ReviewOfEvaluation searchByEvaluationID(Integer evaluationID) 
			throws KeyNotFoundException {
		LOGGER.debug("evaluation ID" + evaluationID);
		if (evaluationID != 0) {
			SimpleSelectQuery query = new SimpleSelectQuery(getDAOSupport().getMap());
			//Change column name to whatever the name is in the bean
			query.addWhere("peerEvaluationId", evaluationID);
			return getDAOSupport().load(query);
		}
		return null;  
	} 
	
	
    public ReviewOfEvaluation loadById(long id) {
        ReviewOfEvaluation reviewOfEvaluation = null; 
        try {
        	 Id realId = Id.generateId(ReviewOfEvaluation.DATA_TYPE, id);
        	 reviewOfEvaluation = getDAOSupport().loadById(realId);
		} catch (PersistenceException e1) {
			LOGGER.debug("Failed to load courseID! ID: "+ id +" # " + e1);
			e1.printStackTrace();
		}
       
        LOGGER.debug("ReviewOfEvaluation Loaded succsessfully "+ id +" # " + reviewOfEvaluation);
        if(reviewOfEvaluation!=null){
        	return reviewOfEvaluation;
        }
        else return null;
    } 
    
  //Currently loads the last element in the list (last added)
    public ReviewOfEvaluation loadLast() {
        List<ReviewOfEvaluation> globalSettings;
        globalSettings = getDAOSupport().loadAll();
        if(globalSettings!=null&&!globalSettings.isEmpty()){
            //DEBUGGING
        	for (ReviewOfEvaluation reviewOfEvaluation : globalSettings) {
        		LOGGER.debug("A#"+ reviewOfEvaluation);
			}
        return globalSettings.get(globalSettings.size()-1);
        }
        else return null;
    } 
    
    public void save(ReviewOfEvaluation globalSettings) {
        System.out.println(globalSettings);        
                
        getDAOSupport().persist(globalSettings);
    }
    
    public boolean isInstalled(){
        List<ReviewOfEvaluation> globalSettings = null;
        globalSettings = getDAOSupport().loadAll();
        
   
        if (globalSettings.size() > 0) {
            return true;
        }
        return false;
    }
    
    public void writeDefaults() {
    	ReviewOfEvaluation globalSettings = new ReviewOfEvaluation();
        
        getDAOSupport().persist(globalSettings);
        
    }
}
