/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema;

import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;

/**
 * Table that shows which submission (FK1) person X (FK2) should evaluate
 * @author Anders
 *
 */
@Table("ntnu_student_review")
public class StudentReview  extends AbstractIdentifiable {

		   public static final DataType DATA_TYPE = new DataType( StudentReview.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   
		   /*
		    * BBLEARN-# \d public.ntnu_student_review
               Table "public.ntnu_student_review"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
			  user_to_be_evaluated_id| Integer				  | not null
				 peer_evaluator_id   | Integer 				  | not null 
				 peer_assessment_id  | Integer				  | not null
		   		 review_finished     | char(1) 				  | 
		    */
		   
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "user_to_be_evaluated_id")
		   private Integer userToBeEvalId;
		   
		   @Column(value = "peer_evaluator_id")
		   private Integer peerEvaluatorId;
		   
		   @Column(value = "peer_assessment_id")
		   private Integer peerAssessmentId;
		   
		   @Column(value = "review_finished")
		   private String isReviewFinnished;
		   
		   
		   
		   
		  public StudentReview(Integer userToEvalId, Integer evaluatorId, Integer peerAssessmentId ,String reviewFin) {

			  this.userToBeEvalId = userToEvalId;
			  this.peerEvaluatorId = evaluatorId;
			  this.peerAssessmentId = peerAssessmentId;
			  this.isReviewFinnished = reviewFin;
		} 
		  
		  public StudentReview() {
			// Empty constructor as required
		}
		  
		   
		   /**
			 * @return the props_id
			 */
			public int getPropertyId() {
				return pk1;
			}




		/**
		 * @return the peerEvaluatorId
		 */
		public Integer getPeerEvaluatorId() {
			return peerEvaluatorId;
		}



		/**
		 * @param peerEvaluatorId the peerEvaluatorId to set
		 */
		public void setPeerEvaluatorId(Integer peerEvaluatorId) {
			this.peerEvaluatorId = peerEvaluatorId;
		}



		/**
		 * @return the isReviewFinnished
		 */
		public String getIsReviewFinnished() {
			return isReviewFinnished;
		}



		/**
		 * @param isReviewFinnished the isReviewFinnished to set
		 */
		public StudentReview setIsReviewFinnished(String isReviewFinnished) {
			this.isReviewFinnished = isReviewFinnished;
			return this;
		}


		public Integer getUserToBeEvalId() {
			return userToBeEvalId;
		}


		public void setUserToBeEvalId(Integer userToBeEvalId) {
			this.userToBeEvalId = userToBeEvalId;
		}


		public Integer getPeerAssessmentId() {
			return peerAssessmentId;
		}


		public void setPeerAssessmentId(Integer peerAssessmentId) {
			this.peerAssessmentId = peerAssessmentId;
		}

		
	
		
		
		
}

