/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema;

import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;


@Table("ntnu_peer_submission")
public class Submission  extends AbstractIdentifiable {

		   public static final DataType DATA_TYPE = new DataType( Submission.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   
		   /*
		    * BBLEARN-# \d public.ntnu_peer_assessment
               Table "public.ntnu_peer_assessment"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
				 submission_user_id	 | Integer				  | not null
				 peer_assessment_id  | Integer 				  | not null 
		   		 submission_text     | character varying(256) | 
		   		 comment_text   	 | character varying(256) |
		   		 final_score   	 	 | Integer |
		   		 group_submission_id | Integer |
		   		
		    */
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "submission_user_id")
		   private Integer submissionUserId;
		   
		   @Column(value = "peer_assessment_id")
		   private Integer peerAssessmentId;
		   
		   @Column(value = "submission_text")
		   private String submissionText;
		   
		   @Column(value = "comment_text")
		   private String commentText;
		   
		   @Column(value = "final_score")
		   private Integer finalScore;
		   
		   @Column(value = "group_submission_id")
		   private Integer groupSubmissionId;
		   
		   /**
			 * @return the props_id
			 */
			public int getPropertyId() {
				return pk1;
			}


		/**
		 * @return the submissionUserId
		 */
		public Integer getSubmissionUserId() {
			return submissionUserId;
		}


		/**
		 * @param submissionUserId the submissionUserId to set
		 */
		public void setSubmissionUserId(Integer submissionUserId) {
			this.submissionUserId = submissionUserId;
		}


		/**
		 * @return the peerAssessmentId
		 */
		public Integer getPeerAssessmentId() {
			return peerAssessmentId;
		}


		/**
		 * @param peerAssessmentId the peerAssessmentId to set
		 */
		public void setPeerAssessmentId(Integer peerAssessmentId) {
			this.peerAssessmentId = peerAssessmentId;
		}


		/**
		 * @return the submissionText
		 */
		public String getSubmissionText() {
			return submissionText;
		}


		/**
		 * @param submissionText the submissionText to set
		 */
		public void setSubmissionText(String submissionText) {
			this.submissionText = submissionText;
		}


		/**
		 * @return the commentText
		 */
		public String getCommentText() {
			return commentText;
		}


		/**
		 * @param commentText the commentText to set
		 */
		public void setCommentText(String commentText) {
			this.commentText = commentText;
		}


		/**
		 * @return the finalScore
		 */
		public Integer getFinalScore() {
			return finalScore;
		}


		/**
		 * @param finalScore the finalScore to set
		 */
		public void setFinalScore(Integer finalScore) {
			this.finalScore = finalScore;
		}


		/**
		 * @return the groupSubmissionId
		 */
		public Integer getGroupSubmissionId() {
			return groupSubmissionId;
		}


		/**
		 * @param groupSubmissionId the groupSubmissionId to set
		 */
		public void setGroupSubmissionId(Integer groupSubmissionId) {
			this.groupSubmissionId = groupSubmissionId;
		}


			
			
			
		
		
		
}

