/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema.rubric;

import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;


@Table("ntnu_rubric")
public class Rubric  extends AbstractIdentifiable {

		   public static final DataType DATA_TYPE = new DataType( Rubric.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   
		   /*
		    * BBLEARN-# \d public.ntnu_rubric
               Table "public.ntnu_rubric"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
				 course_id			 | Integer				  | not null
				 peer_assessment_id  | Integer 				  | not null 
				 number_of_scales	 | Integer				  |
		   		 max_points		     | Integer				  | 
		   		
		    */
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "course_id")
		   private Integer courseId;
		   
		   @Column(value = "peer_assessment_id")
		   private Integer peerAssessmentId;
		   
		   @Column(value = "max_points")
		   private Integer maxPoints;
		   
		   @Column(value = "number_of_scales")
		   private Integer numberOfScales;
		   


			/**
				 * @return the props_id
				 */
				public int getPropertyId() {
					return pk1;
				}

		public Integer getCourseId() {
			return courseId;
		}

		public void setCourseId(Integer courseId) {
			this.courseId = courseId;
		}

		public Integer getPeerAssessmentId() {
			return peerAssessmentId;
		}

		public void setPeerAssessmentId(Integer peerAssessmentId) {
			this.peerAssessmentId = peerAssessmentId;
		}

		public Integer getMaxPoints() {
			return maxPoints;
		}

		public void setMaxPoints(Integer maxPoints) {
			this.maxPoints = maxPoints;
		}

		public Integer getNumberOfScales() {
			return numberOfScales;
		}

		public void setNumberOfScales(Integer numberOfScales) {
			this.numberOfScales = numberOfScales;
		}

		
			

			
			
			
		
		
		
}

