/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema.rubric;

import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;


@Table("ntnu_rubric_cell")
public class RubricCell  extends AbstractIdentifiable {

		   public static final DataType DATA_TYPE = new DataType( RubricCell.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   
		   /*
		    * BBLEARN-# \d public.ntnu_rubric
               Table "public.ntnu_rubric"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
				 rubric_column_id	 | Integer				  | not null
				 rubric_row_id	     | Integer 				  | not null 
		   		 description		 | varchar(256)			  |
		   		 points				 | varchar(256)			  | 
		   		
		    */
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "rubric_column_id")
		   private Integer rubricColumnId;
		   
		   @Column(value = "rubric_row_id")
		   private Integer rubricRowId;
		   
		   @Column(value = "description")
		   private String description = "";

		   @Column(value = "points")
		   private Integer points = 0;
		   


			/**
				 * @return the props_id
				 */
				public int getPropertyId() {
					return pk1;
				}



			public Integer getRubricColumnId() {
				return rubricColumnId;
			}



			public void setRubricColumnId(Integer rubricColumnId) {
				this.rubricColumnId = rubricColumnId;
			}



			public Integer getRubricRowId() {
				return rubricRowId;
			}



			public void setRubricRowId(Integer rubricRowId) {
				this.rubricRowId = rubricRowId;
			}



			public String getDescription() {
				return description;
			}



			public void setDescription(String description) {
				this.description = description;
			}



			public Integer getPoints() {
				return points;
			}



			public void setPoints(Integer points) {
				this.points = points;
			}

				
			
		
		
		
}

