/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema.rubric;

import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;


@Table("ntnu_rubric_column")
public class RubricColumn  extends AbstractIdentifiable {

		   public static final DataType DATA_TYPE = new DataType( RubricColumn.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   
		   /*
		    * BBLEARN-# \d public.ntnu_rubric_column
               Table "public.ntnu_rubric_column"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
				 rubric_id			 | Integer				  | not null
				 header				 | varchar(256) 		  |  
		   		 position		     | Integer				  | 
		   		
		    */
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "rubric_id")
		   private Integer rubricId;
		   
		   @Column(value = "header")
		   private String header;
		   
		   @Column(value = "position")
		   private Integer position;
		   


			/**
				 * @return the props_id
				 */
				public int getPropertyId() {
					return pk1;
				}



			public Integer getRubricId() {
				return rubricId;
			}



			public void setRubricId(Integer rubricId) {
				this.rubricId = rubricId;
			}



			public String getHeader() {
				return header;
			}



			public void setHeader(String header) {
				this.header = header;
			}



			public Integer getPosition() {
				return position;
			}



			public void setPosition(Integer position) {
				this.position = position;
			}

		

			

			
			
			
		
		
		
}

