/**
 * Copyright 2017 Anders Lunde, Robin Sjvoll
 *
 * This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 */
package no.ntnu.es.bb.schema.rubric;

import blackboard.data.AbstractIdentifiable;
import blackboard.persist.DataType;
import blackboard.persist.impl.mapping.annotation.Column;
import blackboard.persist.impl.mapping.annotation.PrimaryKey;
import blackboard.persist.impl.mapping.annotation.Table;


@Table("ntnu_rubric_row_eval")
public class RubricRowEval  extends AbstractIdentifiable {

		   public static final DataType DATA_TYPE = new DataType( RubricRowEval.class );
		   
		   public DataType getDataType() {
				return DATA_TYPE;
		   }
		   
		   /*
		    * BBLEARN-# \d public.ntnu_rubric_row_eval
               Table "public.ntnu_rubric_row_eval"
				      Column         |          Type          | Modifiers 
				---------------------+------------------------+----------
				 pk1                 | integer                | not null
				 rubric_id			 | Integer				  | not null
				 evaluation_id		 | integer 		 		  | not null 
		   		 position		     | Integer				  | 
		   		
		    */
		   @PrimaryKey
		   @Column(value = "pk1")
		   private int pk1;
		  
		   @Column(value = "rubric_id")
		   private Integer rubricId;
		   
		   @Column(value = "evaluation_id")
		   private Integer evaluationId;
		   
		   @Column(value = "chosen_scale")
		   private Integer chosenScale = -1;
		   
		   @Column(value = "row_position")
		   private Integer rowPosition;
		  
		   public RubricRowEval(int rubricID, int evalID, int chosenScale, int rowpos) {
			   this.rubricId = rubricID;
			   this.evaluationId = evalID;
			   this.chosenScale = chosenScale;
			   this.rowPosition = rowpos;
		   }
		   
		   public RubricRowEval() {
			// TODO Auto-generated constructor stub
		}


			/**
				 * @return the props_id
				 */
				public int getPropertyId() {
					return pk1;
				}



			public Integer getRubricId() {
				return rubricId;
			}



			public void setRubricId(Integer rubricId) {
				this.rubricId = rubricId;
			}


			public Integer getEvaluationId() {
				return evaluationId;
			}



			public void setEvaluationId(Integer evaluationId) {
				this.evaluationId = evaluationId;
			}



			public Integer getChosenScale() {
				return chosenScale;
			}



			public void setChosenScale(Integer chosenScale) {
				this.chosenScale = chosenScale;
			}

			public Integer getRowPosition() {
				return rowPosition;
			}

			public void setRowPosition(Integer rowPosition) {
				this.rowPosition = rowPosition;
			}

		
		
}

