<!-- 
 Copyright 2017 Anders Lunde, Robin Sj��voll

 This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 -->
<%@ page language="java" contentType="text/html; charset=US-ASCII"
	pageEncoding="US-ASCII"
	import="java.util.*,
				blackboard.data.*,
				blackboard.data.user.*,
				blackboard.platform.plugin.*,
				blackboard.data.course.*,
				 no.ntnu.es.bb.schema.Assessment,
				 no.ntnu.es.bb.schema.AssessmentDAO"%>
<%@ taglib uri="/bbData" prefix="bbData"%>
<%@ taglib uri="/bbNG" prefix="bbNG"%>
<%@ taglib uri="/bbUI" prefix="bbUI"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<link href="<c:url value="/resources/css/styles.css" />" rel="stylesheet">

<bbNG:learningSystemPage ctxId="ctx">

	<fmt:setBundle basename="settings" />
	<fmt:message key="name" var="plugin_name" />
	<fmt:message key="module.assessment.create.breadcrumb" var="plugin_breadcrumb" />
	<fmt:message key="module.assessment.create.header" var="page_title" />


	<bbNG:breadcrumbBar>
		<bbNG:breadcrumb href="${recallUrl}" title="${page_title}" />
	</bbNG:breadcrumbBar>


	<bbNG:pageHeader>

		<bbNG:pageTitleBar title="${page_title}">
		</bbNG:pageTitleBar>

	</bbNG:pageHeader>
	<br />
	<br />
	
	<c:set var="courseID" value="<%=ctx.getCourseId()%>" />
	<c:set var="contentID" value="<%=ctx.getContentId()%>" />
	

<bbNG:form action="saveAssessment?course_id=${courseID}&content_id=${contentID}" enctype="multipart/form-data" method="POST" isSecure="${ true }" nonceId="/assessment/saveAssessment" id="my-form" onsubmit="return validateForm();">
<input type="hidden" name="edit" value="<%=false%>" />
<input type="hidden" name="user_id" value="<%=ctx.getUserId()%>" />

		<bbNG:dataCollection >

			
			<!-- NEW ASSESSMENT STEPS -->
			
			<bbNG:step hideNumber="true"
				instructions="Provide a name, instructions for the assessment, and dates for the submission process. Submission dates must be before evaluation dates."
				title="ASSESSMENT INFORMATION" id="step1_name_of_new_instruction">

				<bbNG:dataElement label="Name" isRequired="true" labelFor="name">
				
					 <input required="required" type="text" name="name" value="" />

				</bbNG:dataElement>

				<bbNG:dataElement label="Submission Instructions">

					<bbNG:textbox name="instructions"></bbNG:textbox>
					<p>  </p>
					<p>  </p>

				</bbNG:dataElement>

			</bbNG:step>


			<bbNG:step  id="step2_assignment_files" title="
			&nbsp;
			&nbsp;
			 ASSIGNMENT FILEs">

				<bbNG:dataElement>


				<bbNG:filePicker allowMultipleFiles="false"
						baseElementName="filePickerAddAssignmentInfo"
						mode="INLINE_SINGLE_LOCAL_FILE_ONLY" required="false"
						var="filePick"
						/>
				</bbNG:dataElement>

			</bbNG:step>


			<bbNG:step id="step3_due_dates"
				instructions="Submissions are accepted after this date, but are marked <b>Late</b>."
				title="&nbsp; DUE DATES">

				<bbNG:dataElement label="Submission Dates">
					
					<bbNG:dateRangePicker baseFieldName="date_range_assess"
						showTime="true" 
						showStartCheckbox="false"
						showEndCheckbox="false"
						startCaption="Start Date &emsp;&emsp;&emsp;"
						endCaption="End Date &emsp;&emsp;&emsp;" />

				</bbNG:dataElement>

			</bbNG:step>
			
			

			<bbNG:step id="step4_grading" title="GRADING">
				
				<bbNG:dataElement isRequired="true" label="Points Possible">
				
					<input required="required" type="text" name="points_possible"
						onkeypress='return event.charCode &gt;= 48 &amp;&amp; event.charCode &lt;= 57'></input>

				</bbNG:dataElement>

				<bbUI:collapsibleStepContent collapsed="true" instructions="If any students are enrolled in more than one group receiving the same assignment they will submit more than one attempt for this assignment. It may be necessary to provide these students with an overall grade for the assignment." divId="submission_details" title="Submission Details">
				
					<bbNG:dataElement label="Assignment Type">

					<p><bbNG:radioElement id="individual_sub" name="assignment_type" value="individual_sub" onclick="updateSelectorShow(this)"
						checked="true">Individual Submission</bbNG:radioElement></p>

						<p><bbNG:radioElement id="group_sub" name="assignment_type" value="group_sub" onclick="updateSelectorShow(this)">Group Submission</bbNG:radioElement>
						<div class="selector_groups" style="display:none;">

							<bbNG:multiSelect sourceCollection="${groupsInCourse}"  destName="Hello" sourceName="Test" destTitle="Selected Groups" sourceTitle="Available Groups"  formName="select_group"> 
							<!-- sourceCollection byttes ut med de faktiske gruppene! -->
							</bbNG:multiSelect>
						</div></p>
					

				</bbNG:dataElement>
					
				</bbUI:collapsibleStepContent>
				<bbUI:collapsibleStepContent collapsed="true" instructions="You can choose to hide student names from submission attempts during grading, making them anonymous. You can also choose to delegate grading to multiple graders. Each grader provides separate grades, feedback and notes to students. Users with the ability to reconcile grades may review all the grades given to a submission and set the official grade for the attempt. By default, instructors have reconciling abilities." divId="grading_options" title="Grading Options">
				
					<bbNG:dataElement>
					
						<p>
							<input type="checkbox" value="checked" name="enable_delegate_grading" onclick="valueChanged(this)">
							<label for="enable_delegate_grading">Enable Delegate Grading</label> <br>
							<span>Delegate grading responsibilities to one or more additional grader.</span>
						</p>
						
						<div class="grade_options" style="display:none;">
							
							<p>
							<label for="show_grade_options">Show</label>
							<select id="show_grade_options" name="show_grade_options">
								<option>All possible graders</option>
								<option>All assigned to grade</option>
								<option>All unassigned graders</option>
							</select>						
						</p>
						
						 <bbNG:inventoryList  className="blackboard.data.user.User" collection="${usersInCourse}" objectVar="user">
						
							<bbNG:listElement isRowHeader="true" label="Name" name="name">${user.getGivenName()}&nbsp;${user.getFamilyName()}</bbNG:listElement>
						
						</bbNG:inventoryList>
						
						</div>
						
						
					</bbNG:dataElement>
					
					
				</bbUI:collapsibleStepContent>
				
				<bbUI:collapsibleStepContent collapsed="true" divId="display_of_grades" title="Display of Grades" instructions="Grades must be entered using the format selected for Primary display. Grades display in this format in both the Grade Center and My Grades. The secondary display option is shown in the Grade Center only.">
				
					<bbNG:dataElement label="Display grade as">
					
						<p> 
							<label for="primary_check">Primary</label>	<br>
							<select id="primary_check" name="primary">
								<option>Score</option>
								<option>Letter</option>
								<option>Text</option>
								<option>Percentage</option>
								<option>Complete/Incomplete</option>
							</select>			
						</p>
						
						<p> 
							<label for="secondary_check">Secondary</label>	<br>
							<select id="secondary_check" name="secondary">
								<option>None</option>
								<option>Letter</option>
								<option>Text</option>
								<option>Percentage</option>
								<option>Complete/Incomplete</option>
							</select>	<br>
							<span>(displayed in Grade Center only)</span>		
						</p>
					
					</bbNG:dataElement>
					
					<bbNG:dataElement>
					
						<p>
							<bbNG:checkboxElement name="include_grade_center_calc" value="checked"/>
							<label for="include_grade_center_calc"> Include in Grade Center grading calculations</label> <br>
							<span>Scores on anonymously graded assignments will not be included in column calculations until the submissions are no longer anonymous.</span>
						</p>
					
					</bbNG:dataElement>
					
					<bbNG:dataElement>
					
						<p>
							<bbNG:checkboxElement name="show_stud_my_grade" value="checked"/>
							<label for="show_stud_my_grade"> Show to students in My Grades</label>
						</p>
					
					</bbNG:dataElement>
					
					<bbNG:dataElement>
					
						<p>
							<bbNG:checkboxElement name="show_stat_my_grade" value="checked"/>
							<label for="show_stat_my_grade"> Show Statistics (average and median) for this item to Students in My Grades</label>
						</p>
					
					</bbNG:dataElement>
					
				</bbUI:collapsibleStepContent>

			</bbNG:step>
			
			<bbNG:step
				instructions="Evaluation dates must be after submission dates. Anonymous evaluation hides the names of the submitters and the evaluators. 
			Evaluation results can optionally be shown to the user who submitted the assessment, but if the evaluation is anonymous, submitters will not see evaluators' names. Specify the number of submissions each evaluator should evaluate. Submissions will be distributed among evaluators based on this number. Specify 0 submissions to evaluate if this assessment is only for self evaluation."
				title="SELF AND PEER EVALUATION OPTIONS" id="step5_self_and_peer_eval">

				<bbNG:dataElement label="Evaluation Dates">

					<bbNG:dateRangePicker baseFieldName="date_range_peer"
						showTime="true" showEndCheckbox="false" showStartCheckbox="false"
						startCaption="Start Date &emsp;&emsp;&emsp;"
						endCaption="End Date &emsp;&emsp;&emsp;" />

				</bbNG:dataElement >
				
				<bbNG:dataElement id="set_rubric_info">
				
				<label for="rubric_create">Submission Instructions</label>
				<br>

					<p
						style="padding-top: 15px; padding-bottom: 15px; border-radius: 5px;">
						<button type="button" style="margin-left: 20px;"
							onclick="addRubricRow()">Add Criteria</button>
						<button type="button" style="margin-left: 10px;"
							onclick="addScaleColumn()">Add Scale</button>
						<button type="button" style="margin-left: 10px;"
							onclick="deleteScale()">Delete Scale</button>
					</p>
					<input type="hidden" id="numberOfScales" name="numberOfScales"
						value="3">

					<div class="gridOverFlow">
				
					<table class="rubric_table" id="rubric_table" >
					  <tr class="rubric_tr">
					    <th id="header_1"><h3>Criteria</h3></th>
					    <th id="scale_header" colspan="3" style="text-align: center;"><h3>Scales</h3></th>
					  </tr>
					  <tr>
					    <td>
					    	<p>
					    		<input onblur="changeName(this)" style="display:none;" type="text" name="criteria_name_input" id="criteria_name_input" value="Introduction">
					    		<span><strong>Introduction</strong></span>
					    	</p>
					    	<button onclick="changeText(this)" type="button">Edit <img class="edit_image" alt="edit_image" src="<c:url value="/resources/images/edit.png" />" /></button>
					    	
					    </td>
					    <td class="rubric_table_scales_td">
					    	<div class="div_scales">
					    		<p class="p_scales">
					    			<label for="scale_points">Points:</label>
					    			<input onchange="changeTotalPoints()" class="input_scales" type="number" value="0" name="scale_points">
					    		</p>
					    		<textarea placeholder="Add criteria description here..." class="textarea_scales" rows="4" cols="40" name="scale_descriptions" id="scale_descriptions"></textarea>
					    	</div>
					    </td>
					    <td class="rubric_table_scales_td">
					    	<div class="div_scales">
					    		<p class="p_scales">
					    			<label for="scale_points">Points:</label>
					    			<input onchange="changeTotalPoints()" class="input_scales" type="number" value="0" name="scale_points">
					    		</p>
					    		<textarea placeholder="Add criteria description here..." class="textarea_scales" rows="4" cols="40" name="scale_descriptions" id="scale_descriptions"></textarea>
					    	</div>
					    </td>
					    <td class="rubric_table_scales_td">
					    	<div class="div_scales">
					    		<p class="p_scales">
					    			<label for="scale_points">Points:</label>
					    			<input onchange="changeTotalPoints()" class="input_scales" type="number" value="0" name="scale_points">
					    		</p>
					    		<textarea placeholder="Add criteria description here..." class="textarea_scales" rows="4" cols="40" name="scale_descriptions" id="scale_descriptions"></textarea>
					    	</div>
					    </td>
					  </tr>
					  <tr>
					    <td>
					    	<p>
					    		<input onblur="changeName(this)" style="display:none;" type="text" name="criteria_name_input" id="criteria_name_input" value="Body">
					    		<span><strong>Body</strong></span>
					    	</p>
					    	<button onclick="changeText(this)" type="button">Edit <img class="edit_image" alt="edit_image" src="<c:url value="/resources/images/edit.png" />" /></button>
					    </td>
					     <td class="rubric_table_scales_td">
					    	<div class="div_scales">
					    		<p class="p_scales">
					    			<label for="scale_points">Points:</label>
					    			<input onchange="changeTotalPoints()" class="input_scales" type="number" value="0" name="scale_points">
					    		</p>
					    		<textarea placeholder="Add criteria description here..." class="textarea_scales" rows="4" cols="40" name="scale_descriptions" id="scale_descriptions"></textarea>
					    	</div>
					    </td>
					    <td class="rubric_table_scales_td">
					    	<div class="div_scales">
					    		<p class="p_scales">
					    			<label for="scale_points">Points:</label>
					    			<input onchange="changeTotalPoints()" class="input_scales" type="number" value="0" name="scale_points">
					    		</p>
					    		<textarea placeholder="Add criteria description here..." class="textarea_scales" rows="4" cols="40" name="scale_descriptions" id="scale_descriptions"></textarea>
					    	</div>
					    </td>
					    <td class="rubric_table_scales_td">
					    	<div class="div_scales">
					    		<p class="p_scales">
					    			<label for="scale_points">Points:</label>
					    			<input class="input_scales" onchange="changeTotalPoints()" type="number" value="0" name="scale_points">
					    		</p>
					    		<textarea placeholder="Add criteria description here..." class="textarea_scales" rows="4" cols="40" name="scale_descriptions" id="scale_descriptions"></textarea>
					    	</div>
					    </td>
					  </tr>
					  <tr class="rubric_tr">
					  	<td colspan="100%">
						  	<span style="padding-left: 15px;"><strong>Total points: </strong></span><span id="total_points">0</span>
					  	</td>
					 </tr>
					</table>
				</div>
				</bbNG:dataElement>
				
        
				<bbNG:dataElement label="Allow Anonymous Evaluation">

					<bbNG:radioElement id="anon_yes" name="anon_eval" value="anon_yes"
						isSelected="false"> Yes</bbNG:radioElement>

					<bbNG:radioElement id="anon_no" name="anon_eval" value="anon_no" isSelected="true"> No</bbNG:radioElement>

				</bbNG:dataElement>

				<bbNG:dataElement label="Allow Self Evaluation">

					<bbNG:radioElement id="self_eval_yes" name="self_eval"
						value="self_eval_yes" checked="false"> Yes</bbNG:radioElement>
					<bbNG:radioElement id="self_eval_no" name="self_eval"
						value="self_eval_no" checked="true"> No</bbNG:radioElement>

				</bbNG:dataElement>

				<bbNG:dataElement label="Show Evaluation Results to Submitter">

					<bbNG:radioElement id="show_eval_yes" name="show_eval_sub"
						value="show_eval_yes" checked="true"> Yes</bbNG:radioElement>
					<bbNG:radioElement id="show_eval_no" name="show_eval_sub"
						value="show_eval_no"> No</bbNG:radioElement>

				</bbNG:dataElement>
				
				<bbNG:dataElement label="Use review of review">

					<bbNG:radioElement id="review_of_review_yes" name="review_of_review" value="review_of_review_yes"
						isSelected="true"> Yes</bbNG:radioElement>

					<bbNG:radioElement id="review_of_review_no" name="review_of_review" value="review_of_review_no"
						isSelected="false"> No</bbNG:radioElement>

				</bbNG:dataElement>
				<bbNG:dataElement label="Maximum review of review score"
					isRequired="false">

					<input type="text" name="reivew_of_review_max_score"
						onkeypress='return event.charCode &gt;= 48 &amp;&amp; event.charCode &lt;= 57' value="0"></input>

				</bbNG:dataElement>
				
				<bbNG:dataElement label="Evaluation Instructions">

					<bbNG:textbox name="eval_instructions"></bbNG:textbox>
					<p>  </p>
					<p>  </p>

				</bbNG:dataElement>
				<bbNG:dataElement label="Number of Submissions to Evaluate"
					isRequired="true">

					<input required="required" max="${numberOfStudents}" min="0" type="number" name="nr_of_submissions"
						onkeypress='return event.charCode &gt;= 48 &amp;&amp; event.charCode &lt;= 57' value="0"></input>

				</bbNG:dataElement>

			</bbNG:step>


			<bbNG:stepSubmit showCancelButton="true" />

		</bbNG:dataCollection>

	</bbNG:form>


	<script type="text/javascript"> 
// show the step "infoStep" on the page 
	var showGraders = false;
	function valueChanged(check){
	    if(showGraders === false)  {
	    	console.log("hello1");
	    	document.querySelector('.grade_options').style.display = 'block';
	    	showGraders = true;
	    }else if(showGraders === true) {
	    	console.log("hello2");
	    	document.querySelector('.grade_options').style.display = 'none';
	    	showGraders = false;
	    }
    	
}

	function updateSelectorShow(radio) {
		
		if(radio.value === "group_sub"){
			document.querySelector('.selector_groups').style.display = 'block';
			console.log("team?")
		}else if(radio.value === "individual_sub"){
			document.querySelector('.selector_groups').style.display = 'none';
		}
	}
	
	function validateForm(form) {
		document.querySelector('.selector_groups').style.display = 'block';
		
		
		/* var childs = form.children;
		for (var i = 0, child; child = childs[i++];) {
			
			var subchilds = child.children;
			console.log("element: " + child.id + " children: " + subchilds);
			for(var j = 0, subchild; subchild = subchilds[j++];){
				console.log("child: " + subchild.id + "   required: " + subchild.isRequired);
			} */
		    /* if (child.isRequired === true && !element.children.value)
		        console.log("it's an empty required field: " + element.label) */
		/* } */
	}
	
	function changeName(input){
		var span = input.nextSibling.nextSibling;
		if(span === null){
			span = input.nextSibling;
		}
		input.style.display = "none";
		span.innerHTML = "<strong>" + input.value + "</strong>";
		span.style.display = "block";
	}
	
	function changeText(image) {
		var paragraph = image.previousSibling.previousSibling;
		if(paragraph === null){
			paragraph = image.previousSibling;
			var input = paragraph.childNodes[0];
			var span = paragraph.childNodes[1];
		}else {
			var input = paragraph.childNodes[1];
			var span = paragraph.childNodes[3];
		}
		
		
		input.style.display = "block";
		span.style.display = "none";
	}
	
	function addScaleColumn(){
		// Find a <table> element with id="myTable":
		var table = document.getElementById("rubric_table");
		var input = document.getElementById("numberOfScales");
		input.value = parseInt(input.value) + 1;
		console.log(scale_header.colSpan);
		scale_header.colSpan = scale_header.colSpan + 1;
		
		for (i = 1; i < (table.rows.length - 1); i++) {
			var scale_div = document.createElement("div");
			scale_div.setAttribute("class","div_scales");
			
			var scale_paragraph = document.createElement("p");
			scale_paragraph.setAttribute("class","p_scales");
			
			var scale_label = document.createElement("label");
			var label_text = document.createTextNode("Points:");
			scale_label.setAttribute("for","scale_points");
			scale_label.appendChild(label_text);
			
			var scale_input = document.createElement("input");
			scale_input.setAttribute("class", "input_scales");
			scale_input.setAttribute("type","number");
			scale_input.setAttribute("value","0");
			scale_input.setAttribute("onchange","changeTotalPoints()");
			scale_input.setAttribute("name","scale_points");
			
			var scale_textarea = document.createElement("textarea");
			scale_textarea.setAttribute("class", "textarea_scales");
			scale_textarea.setAttribute("rows","4");
			scale_textarea.setAttribute("cols","40");
			scale_textarea.setAttribute("placeholder","Add criteria description here...");
			scale_textarea.setAttribute("id","scale_descriptions");
			scale_textarea.setAttribute("name","scale_descriptions");
			
			scale_paragraph.appendChild(scale_label);
			scale_paragraph.appendChild(scale_input);
			scale_div.appendChild(scale_paragraph);
			scale_div.appendChild(scale_textarea);
			
	        var cell = table.rows[i].insertCell(table.rows[i].cells.length);
	        cell.setAttribute("class","rubric_table_scales_td");
			cell.appendChild(scale_div);
	    }
		
	}
	
	
	function addRubricRow(){
		// Find a <table> element with id="myTable":
		var table = document.getElementById("rubric_table");

		// Create an empty <tr> element and add it to the 1st position of the table:
		var row = table.insertRow(table.rows.length-1);
		
		// Insert new cells (<td> elements) at the 1st and 2nd position of the "new" <tr> element:
		var cell1 = row.insertCell(0);
		
		var criteria_paragraph = document.createElement("p");
 		
 		var criteria_input = document.createElement("input");
 		criteria_input.setAttribute("onblur", "changeName(this)");
 		criteria_input.setAttribute("style", "display:none;");
 		criteria_input.setAttribute("type","text");
 		criteria_input.setAttribute("id","criteria_name_input");
 		criteria_input.setAttribute("name","criteria_name_input");
 		criteria_input.setAttribute("value","Criteria name");
 		
 		var criteria_span = document.createElement("span");
 		criteria_span.innerHTML = "<strong>Criteria name</strong>";
 		
 		var criteria_edit_button = document.createElement("button");
 		criteria_edit_button.setAttribute("onclick","changeText(this)");
 		criteria_edit_button.setAttribute("type","button");
 		
 		var edit_button_text = document.createTextNode("Edit ");
 		
 		var criteria_edit_img = document.createElement("img");
 		criteria_edit_img.setAttribute("class", "edit_image");
 		criteria_edit_img.setAttribute("alt", "edit_image");
 		criteria_edit_img.setAttribute("src", "<c:url value="/resources/images/edit.png" />");
 		
 		criteria_paragraph.appendChild(criteria_input);
 		criteria_paragraph.appendChild(criteria_span);
 		
 		criteria_edit_button.appendChild(edit_button_text);
 		criteria_edit_button.appendChild(criteria_edit_img);
 		
 		cell1.appendChild(criteria_paragraph);
 		cell1.appendChild(criteria_edit_button);
 		// Add some text to the new cells:

		for(i = 1; i < table.rows[1].cells.length; i++){
			var cell = row.insertCell(i);
			var scale_div = document.createElement("div");
			scale_div.setAttribute("class","div_scales");
			
			var scale_paragraph = document.createElement("p");
			scale_paragraph.setAttribute("class","p_scales");
			
			var scale_label = document.createElement("label");
			var label_text = document.createTextNode("Points:");
			scale_label.setAttribute("for","scale_points");
			scale_label.appendChild(label_text);
			
			var scale_input = document.createElement("input");
			scale_input.setAttribute("onchange","changeTotalPoints()");
			scale_input.setAttribute("class", "input_scales");
			scale_input.setAttribute("type","number");
			scale_input.setAttribute("value","0");
			scale_input.setAttribute("name","scale_points");
			
			var scale_textarea = document.createElement("textarea");
			scale_textarea.setAttribute("class", "textarea_scales");
			scale_textarea.setAttribute("rows","4");
			scale_textarea.setAttribute("cols","40");
			scale_textarea.setAttribute("placeholder","Add criteria description here...");
			scale_textarea.setAttribute("id","scale_descriptions");
			scale_textarea.setAttribute("name","scale_descriptions");
			
			scale_paragraph.appendChild(scale_label);
			scale_paragraph.appendChild(scale_input);
			scale_div.appendChild(scale_paragraph);
			scale_div.appendChild(scale_textarea);
			
			cell.setAttribute("class","rubric_table_scales_td");
			cell.appendChild(scale_div);
			
		}
		
		
		
	}
	
	function changeTotalPoints(){
		
		var points = document.getElementsByName("scale_points");
		var scale_length = document.getElementById("numberOfScales");
		var totalPoints = 0;
		var max_points_row = 0;
		var counter = 1;
		for(i = 0; i < points.length; i++){
			if(max_points_row < parseInt(points[i].value)){
				max_points_row = parseInt(points[i].value);
			}
			
			if(counter === (parseInt(scale_length.value))){
				counter = 1;
				totalPoints += max_points_row;
				max_points_row = 0;
			}else {
				counter++;
			}
		}
		var total_points = document.getElementById("total_points");
		total_points.innerHTML = totalPoints;
	}
	
	/* Deletes the most right scale of the rubric*/
	function deleteScale(){
		var table = document.getElementById("rubric_table");
		var scale_header = document.getElementById("scale_header");
		var input = document.getElementById("numberOfScales");
		input.value = parseInt(input.value) - 1;
		scale_header.colSpan = scale_header.colSpan - 1;
		if(table.rows[1].cells.length === 2){
			alert("There have to be at least one scale");
			return;
		}
		for (i = 1; i < (table.rows.length - 1); i++) {
			table.rows[i].deleteCell(table.rows[i].cells.length - 1);
	    }
		changeTotalPoints();
	}
	
</script>

</bbNG:learningSystemPage>

