<!-- 
 Copyright 2017 Anders Lunde, Robin Sj��voll

 This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 -->
<%@ page language="java" contentType="text/html; charset=US-ASCII"
	pageEncoding="US-ASCII"
	import="java.util.*,
				blackboard.data.*,
				blackboard.data.user.*,
				blackboard.platform.plugin.*,
				blackboard.data.course.*,
				 no.ntnu.es.bb.schema.Assessment,
				 no.ntnu.es.bb.schema.AssessmentDAO,
				 no.ntnu.es.bb.schema.Evaluation,
				 no.ntnu.es.bb.schema.EvaluationDAO,
				  no.ntnu.es.bb.schema.*,
				 no.ntnu.es.bb.schema.rubric.RubricCell"
%>		 
<%@ taglib uri="/bbData" prefix="bbData"%>
<%@ taglib uri="/bbNG" prefix="bbNG"%>
<%@ taglib uri="/bbUI" prefix="bbUI"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<link href="<c:url value="/resources/css/styles.css" />" rel="stylesheet">

<bbNG:learningSystemPage ctxId="ctx">

	<fmt:setBundle basename="settings" />
	<fmt:message key="name" var="plugin_name" />
	<fmt:message key="module.assessment.create.breadcrumb" var="plugin_breadcrumb" />
	<fmt:message key="module.review.assessment_review.header" var="page_title" />
	<fmt:message key="module.assessment.create.tabbed.panel" var="tabbed_panel" />


	<bbNG:breadcrumbBar>
		<bbNG:breadcrumb href="${recallUrl}" title="Assessment Review" />
	</bbNG:breadcrumbBar>

	<bbNG:pageHeader>

		<bbNG:pageTitleBar title="Assessment Review">
		</bbNG:pageTitleBar>

	</bbNG:pageHeader>

		
	<h1 style="text-align: center">${assessment.getName()}</h1>
	<b><c:if test="${isGroupEvaluation}">${submissionGroup.getTitle()}</c:if><c:if test="${!isGroupEvaluation}">${studentSubmissionName}</c:if></b>  <p style="float: right; color: #c4c4c4;">Evaluation due: ${assessment.getEvaluationEndDateAsString()}</p>
	<hr color="#d3d3d3" size="1px" width="100%">
	<br />
	 <div align="center">
	 <iframe src = "../ViewerJS/#../fetchFile?file_name=${currentFileName}&course_id=<%=ctx.getCourseId()%>&assessment_id=${assessment_id}&submission_id=${submission_id}" width='724' height='724' style="border-style: solid;" allowfullscreen webkitallowfullscreen></iframe>
	</div>
	<br />
	<p>${submission.getSubmissionText()}</p>
	<br />
	
	<h1 style="text-align: center; color: #a8a8a8;">Criteria Instructions</h1>
	<hr color="#d3d3d3" size="1px" width="100%">
	
	<h3><font size="" color="#a8a8a8" face="verdana">${assessment.getEvaluationInstructions()}</font></h3>

	<h1 style="text-align: center; color: #a8a8a8;">Evaluation</h1>
	<hr color="#d3d3d3" size="1px" width="100%">
<!-- 	<div class="evaluation_border"> -->

	<bbNG:form action="saveEvaluation" method="POST" isSecure="${ true }" nonceId="/review/saveEvaluation" id="my-form" onsubmit="return validateForm();">
		<input type="hidden" name="edit" value="${edit}" />
		<input type="hidden" name="assessment_id" value="${assessment_id}" />
		<input type="hidden" name="submission_id" value="${submission_id}" />
		<input type="hidden" name="evaluation_id" value="${evaluation_id}" />
		<input type="hidden" name="userToBeEval_id" value="${submission.getSubmissionUserId()}" />
		<input type="hidden" name="group_evaluation_id" value="${groupEvalId}" />
		<input type="hidden" name="course_id" value="<%=ctx.getCourseId()%>" />
		<input type="hidden" name="user_id" value="<%=ctx.getUserId()%>" />
		
		
		
		
		<bbNG:dataCollection>

			<bbNG:step title="Criteria Rubric">
					<div class="gridOverFlow">
				
					<table class="rubric_table" id="rubric_table" >
					  <tr class="rubric_tr">
					    <th id="header_1"><h3>Criteria</h3></th>
					    <th class="rubric_table_scale_header" id="scale_header" colspan="${numberOfScales}" style="text-align: center;"><h3>Scales</h3></th>
					  </tr>
					 
					  <tr class="rubric_tr">
					  	<td colspan="100%">
						  	<span style="color: #45586f;"><strong>Rubric score: </strong></span>
						  	<span style="color: #45586f;" id="points_given_span">${ rubric_points_given }</span>
					  		<input type="hidden" id="points_given" name="points_given" value="${rubric_points_given}">
					  	</td>
					 </tr>
					</table>
				</div>
				<br>
				<p>
					<label for="review_score">Give Score:</label>
					<input max="${max_points}" min="0" type="number" name="review_score"
						onkeypress='return event.charCode &gt;= 48 &amp;&amp; event.charCode &lt;= 57' value="${review_points_given}"></input>
					<span>/${max_points }</span>
					<c:if test="${isOverrideRubricScore}">
						<input type="checkbox" value="unchecked" checked name="override_rubric_score"/>
					</c:if>
					<c:if test="${!isOverrideRubricScore}">
					<input type="checkbox" value="unchecked" name="override_rubric_score" />
					</c:if>
					
					<label for="override_rubric_score">Override rubric score</label> <br>
				</p>
				
			</bbNG:step>
				
			<bbNG:step  title="Feedback">
				
				<bbNG:dataElement>
					
					<bbNG:textbox name="comment_textbox" ftext="${comment_text}"></bbNG:textbox>
					
				</bbNG:dataElement>
			</bbNG:step>
			
			<c:if test="${isFeedbackEvaluationReceived}">
				<bbNG:step title="Review of your evaluation">
					<bbNG:dataElement>
						<span class="review_of_review_span" id="eval_feedback">
							${feedbackText}
						</span>
						<br>
						<br>
						<span class="review_of_review_span">
							Score: ${feedbackScore}
						</span>
					</bbNG:dataElement>
				</bbNG:step>
			</c:if>
			
			<bbNG:stepSubmit showCancelButton="true" />
			
		</bbNG:dataCollection>

	</bbNG:form>
		
		<c:if test="${isOtherReviews && isInstructor}">
			<h1 style="text-align: center; color: #a8a8a8;">Other Reviews</h1>
			<hr color="#d3d3d3" size="1px" width="100%">
			
					<c:forEach items="${evaluations}" var="evaluation">
						
							<bbUI:collapsibleStepContent collapsed="true" divId="review_comment_${evaluation.get(1).get(0) }" title="Comment by: ${evaluation.get(0) }">
					
								<div class="gridOverFlow">
						
									<table class="rubric_table" id="rubric_table_${evaluation.get(1).get(0)}" >
									  <tr class="rubric_tr">
									    <th id="header_1"><h3>Criteria</h3></th>
									    <th class="rubric_table_scale_header" id="scale_header_${evaluation.get(1).get(0)}" colspan="${numberOfScales}" style="text-align: center;"><h3>Scales</h3></th>
									  </tr>
									 
									  <tr class="rubric_tr">
									  	<td colspan="100%">
										  	<span style="color: #45586f;">Rubric score:</span>
										  	<span style="color: #45586f;" id="points_given_span_${evaluation.get(1).get(0)}">${evaluation.get(1).get(2)}</span>
									  	</td>
									 </tr>
									</table>
								</div>
								<br>
							
									<span class="review_of_review_span" id="evaluation_description_${evaluation.get(1).get(0)}">${evaluation.get(1).get(3).replaceAll("\"","")}</span>
									<br>
									<br>
									<span class="review_of_review_span">Final points: ${evaluation.get(1).get(1) } </span>
							
							</bbUI:collapsibleStepContent>
						
					</c:forEach>
			</c:if>

	<script type="text/javascript"> 
	
	function setRadioButton(td){
		var radioBtn = td.childNodes[0].childNodes[0].childNodes[1];
		radioBtn.checked = true;
		
		var span_text = td.childNodes[0].childNodes[0].childNodes[2];
		var overAllRubricPointsUI = document.getElementById("points_given_span");
		overAllRubricPointsUI.innerHTML = parseInt(overAllRubricPointsUI.innerHTML) + parseInt(span_text.innerHTML.substring(9));
		var allHiddenScaleInputs = document.getElementsByClassName("scale_pos_input_id_"+radioBtn.name.substring(12,13));
		for(var i = 0; i < allHiddenScaleInputs.length; i++){
			if(allHiddenScaleInputs[i].value.substring(2) === "checked"){
				var currentlyChecked = allHiddenScaleInputs[i].nextSibling.nextSibling.innerHTML;
				overAllRubricPointsUI.innerHTML = parseInt(overAllRubricPointsUI.innerHTML) - parseInt(currentlyChecked.substring(9));
			}
			allHiddenScaleInputs[i].setAttribute("value",i + "-unchecked");
		} 
		var overallRubricPoints = document.getElementById("points_given");
		overallRubricPoints.setAttribute("value",overAllRubricPointsUI.innerHTML);
		var inputHidden = td.childNodes[0].childNodes[0].childNodes[0];
		inputHidden.setAttribute("value",i + "-checked");
	}
	
	window.onload = function() {
		  buildRubric();
		  buildOtherRubrics();
		};
	
	function buildOtherRubrics(){
		var evaluations = ${evaluations};
		for(var x = 0; x < evaluations.length; x++){
			var evaluation = evaluations[x];
			 if(evaluation[1][0] != ${evaluation_id}){
				var collapsibleList = document.getElementById("review_comment_" + evaluation[1][0] + ".h3");
				var titleText = collapsibleList.childNodes[0].childNodes[2];
				titleText.nodeValue = "Commented by: " + evaluation[0].replace('"');
				
				var table = document.getElementById("rubric_table_" + evaluation[1][0]);
				
				var cells = ${cellsInRows};
				
				for(var j = 0; j < cells.length; j++){
					var fillRow = cells[j];
					var posSelected = -1;
					posSelected = evaluation[1][6][j];
					
					// Create an empty <tr> element and add it to the 1st position of the table:
					var row = table.insertRow(table.rows.length-1);
					
					// Insert new cells (<td> elements) at the 1st and 2nd position of the "new" <tr> element:
					var cell1 = row.insertCell(0);
					cell1.setAttribute("class","rubric_table_row_description");
					
			 		var criteria_span = document.createElement("span");
			 		criteria_span.innerHTML = "<strong>" + fillRow[0][1] + "</strong>";
			 		
			 		cell1.appendChild(criteria_span);
			 		// Add some text to the new cells:

					for(i = 1; i < fillRow.length; i++){
						
						var fillCell = fillRow[i];
						var cell = row.insertCell(i);
						var scale_div = document.createElement("div");
						scale_div.setAttribute("class","div_scales");
						
						var scale_paragraph = document.createElement("p");
						scale_paragraph.setAttribute("class","p_scales");
						
						var scale_pos_input = document.createElement("input");
						scale_pos_input.setAttribute("type","hidden");
						 if(posSelected === i){
							scale_pos_input.setAttribute("value",i + "-checked");
							var radioHtml = '<input type="radio" class="p_scales_radio" disabled checked name="' + "scale_radio_others_" + evaluation[1][0] + "_" + j + '"' + '/>';
						}else{
							scale_pos_input.setAttribute("value",i + "-unchecked");
							var radioHtml = '<input type="radio" class="p_scales_radio" disabled name="' + "scale_radio_others_" + evaluation[1][0] + "_" + j + '"' + '/>';
						}
						scale_pos_input.setAttribute("name","scale_pos_input_others");
						scale_pos_input.setAttribute("class","scale_pos_input_id_others_" + j);
						
						   
					    var radioFragment = document.createElement('div');
					    radioFragment.innerHTML = radioHtml;
					    
						
						var scale_span = document.createElement("span");
						var span_text = document.createTextNode(" Points: " + fillCell[0]);
						scale_span.appendChild(span_text);
						
						var scale_span_description = document.createElement("span");
						if(!fillCell[1]){
							scale_span_description.innerHTML = "No description added";
						}else{
							scale_span_description.innerHTML = fillCell[1];
						}
						
						scale_span_description.setAttribute("id","scale_descriptions_others");
						scale_span_description.setAttribute("name","scale_descriptions_others");
						
						scale_paragraph.appendChild(scale_pos_input);
						console.log(radioFragment.firstChild);
						scale_paragraph.appendChild(radioFragment.firstChild);
						scale_paragraph.appendChild(scale_span);
						scale_div.appendChild(scale_paragraph);
						var br = document.createElement("br");
						scale_div.appendChild(br);
						scale_div.appendChild(scale_span_description);
						
						cell.setAttribute("class","rubric_table_scales_td");
						cell.appendChild(scale_div);
					}
					
				}
			} 
			 
		}
		
		
	}
		
	function buildRubric(){
		var cells = ${cellsInRows};
		// Find a <table> element with id="myTable":
			var table = document.getElementById("rubric_table");
			
			if(${scalePosCreated}){
				
				var scalePos = ${scalePos};
			}

			for(var j = 0; j < cells.length; j++){
				var fillRow = cells[j];
				var posSelected = -1;
				if(${scalePosCreated}){
					posSelected = scalePos[j];
				}
				
				// Create an empty <tr> element and add it to the 1st position of the table:
				var row = table.insertRow(table.rows.length-1);
				
				// Insert new cells (<td> elements) at the 1st and 2nd position of the "new" <tr> element:
				var cell1 = row.insertCell(0);
				cell1.setAttribute("class","rubric_table_row_description");
		 		
		 		var criteria_span = document.createElement("span");
		 		criteria_span.innerHTML = "<strong>" + fillRow[0][1] + "</strong>";
		 		
		 		cell1.appendChild(criteria_span);
		 		// Add some text to the new cells:

				for(i = 1; i < fillRow.length; i++){
					
					var fillCell = fillRow[i];
					var cell = row.insertCell(i);
					var scale_div = document.createElement("div");
					scale_div.setAttribute("class","div_scales");
					
					var scale_paragraph = document.createElement("p");
					scale_paragraph.setAttribute("class","p_scales");
					
					var scale_pos_input = document.createElement("input");
					scale_pos_input.setAttribute("type","hidden");
					 if(posSelected === i){
						scale_pos_input.setAttribute("value",i + "-checked");
						var radioHtml = '<input type="radio" class="p_scales_radio" checked name="' + "scale_radio_" + j + '"' + '/>';
					}else{
						scale_pos_input.setAttribute("value",i + "-unchecked");
						var radioHtml = '<input type="radio" class="p_scales_radio" name="' + "scale_radio_" + j + '"' + '/>';
					}
					scale_pos_input.setAttribute("name","scale_pos_input");
					scale_pos_input.setAttribute("class","scale_pos_input_id_" + j);
					
					   
				    var radioFragment = document.createElement('div');
				    radioFragment.innerHTML = radioHtml;					
					
					var scale_span = document.createElement("span");
					var span_text = document.createTextNode(" Points: " + fillCell[0]);
					scale_span.appendChild(span_text);
					
					var scale_span_description = document.createElement("span");
					scale_span_description.setAttribute("style", "display:block;")
					//scale_span_description.readOnly = true;
					//scale_span_description.disabled = true;
					//scale_span_description.setAttribute("rows","4");
					//scale_span_description.setAttribute("cols","40");
					if(fillCell[1] === "" || fillCell[1] === "undefined"){
						scale_span_description.innerHTML = "No description added";
					}else{
						scale_span_description.innerHTML = fillCell[1];
					}
					
					scale_span_description.setAttribute("id","scale_descriptions");
					scale_span_description.setAttribute("name","scale_descriptions");
					
					scale_paragraph.appendChild(scale_pos_input);
					scale_paragraph.appendChild(radioFragment.firstChild);
					scale_paragraph.appendChild(scale_span);
					scale_div.appendChild(scale_paragraph);
					var br = document.createElement("br");
					scale_div.appendChild(br);
					scale_div.appendChild(scale_span_description);
					
					cell.setAttribute("class","rubric_table_scales_td");
					cell.setAttribute("style", "cursor: pointer;");
					cell.setAttribute("onclick","setRadioButton(this)");
					cell.appendChild(scale_div);
					
				}
			}
	}
	
</script>

</bbNG:learningSystemPage>

