<!-- 
 Copyright 2017 Anders Lunde, Robin Sjøvoll

 This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 -->
<%@ page language="java" contentType="text/html; charset=US-ASCII"
	pageEncoding="US-ASCII"
	import="java.util.*,
				blackboard.data.*,
				blackboard.data.user.*,
				blackboard.platform.plugin.*,
				blackboard.data.course.*,
				 no.ntnu.es.bb.schema.Assessment,
				 no.ntnu.es.bb.schema.AssessmentDAO,
				 no.ntnu.es.bb.schema.Submission"
%>		 
<%@ taglib uri="/bbData" prefix="bbData"%>
<%@ taglib uri="/bbNG" prefix="bbNG"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<link href="<c:url value="/resources/css/styles.css" />" rel="stylesheet">
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script> 
<script>var $j = jQuery.noConflict();</script>


<bbNG:learningSystemPage ctxId="ctx">
	<%
		Assessment assessment = (Assessment) pageContext.findAttribute("assessment");
	%>
	
	<fmt:setBundle basename="settings" />
	<fmt:message key="name" var="plugin_name" />
	<fmt:message key="hw.main.page.breadcrumb" var="plugin_breadcrumb" />
	<fmt:message key="hw.main.page.header" var="page_title" />
	<fmt:message key="hw.main.tabbed.panel" var="tabbed_panel" />


	<bbNG:breadcrumbBar>
		<bbNG:breadcrumb href="${recallUrl}" title="Instructor Reviews" />
	</bbNG:breadcrumbBar>


	<bbNG:pageHeader>

		<bbNG:pageTitleBar title="Instructor Reviews">
		</bbNG:pageTitleBar>

	</bbNG:pageHeader>


	<br />
	<br />
	
	<c:set var="courseID" value="<%=ctx.getCourseId()%>" />
	<c:set var="contentID" value="<%=ctx.getContentId()%>" />

	<bbNG:inventoryList showDescriptionAsHeader="true"
						className="ArrayList"
					collection="${submissions}"
						objectVar="submission"
						emptyMsg="No reviews available for the assessment yet"
						includePageParameters="true"
						description="List displaying all the submission reviews with the average score to each submission" listId="submissionReviewList"
						enableSelectEntireList="true">
						<bbNG:listOptions allowEditPaging="false" />

						<bbNG:listCheckboxElement name="selectedWebworkSetsParam"
							showCheckbox="true" value="" />
						<c:if test="${isGroupSubmission}" ><bbNG:listElement isRowHeader="true" label="Group Name" name="Name">${submission.get(2).getTitle()}</bbNG:listElement></c:if>
						<c:if test="${!isGroupSubmission}"><bbNG:listElement isRowHeader="true" label="Name" name="Name">${submission.get(2)}</bbNG:listElement></c:if>
						<bbNG:listElement label="Submission reviews" name="SubmissionReviews">
							 <a class="ntnu" href="../review/assessment_review?course_id=${assessment.getCourseId()}&assessment_id=${assessment.getPropertyId()}&submission_id=${submission.get(0).getPropertyId()}">Review Submission</a>
						</bbNG:listElement>
						<bbNG:listElement label="Avg. Score" name="avgScore">
							 ${submission.get(1)} / ${assessment.getPointsPossible() }
						</bbNG:listElement>

 						<bbNG:listElement label="Fin. Score" name="finScore">
 						<form action="../review/submitScore">
							<input type="hidden" name="course_id" value="${ctx.getCourseId()}" />
							<input type="hidden" name="assessment_id" value="${assessment.getPropertyId()}" />
							<input type="hidden" name="content_id" value="${ctx.getContentId()}" />
							<input type="hidden" name="user_id" value="${submission.get(0).getSubmissionUserId()}" />
							<c:if test="${isGroupSubmission}" ><input type="hidden" name="group_id" value="${submission.get(2).getId()}" /></c:if>
							<input value="${submission.get(1)}" type="number" name="final_score" onkeypress='return event.charCode &gt;= 48 &amp;&amp; event.charCode &lt;= 57' max="999" min="0"  maxlength="2"/>
 							<input class="submit button-1" type="submit" value="Submit">
 						</form>
						</bbNG:listElement>
						<bbNG:listElement label="Final Score" name="finalScore">
							 ${submission.get(0).getFinalScore()}
						</bbNG:listElement>
					
						<bbNG:listElement label="Status" name="status">
							<c:choose>
							    <c:when test="${submission.get(0).getFinalScore() != null}"> <!-- Test if submission and score is accepted -->
							        <h4 class="review_accepted">Reviews and score accepted</h4>
							        <br />
							    </c:when>    
							    <c:otherwise>
							        <h4 class="review_not_corrected">Not corrected yet</h4>
							        <br />
							    </c:otherwise>
							</c:choose>
							
							 
						</bbNG:listElement>

					</bbNG:inventoryList>
		<bbNG:okButton url="redirectContent?course_id=${courseID}&content_id=${contentID}"/>

<script type="text/javascript"> 

 (function($j) {  
  $j(document).ready(function() {  
  	jQuery('input[type=button]').click(function(){
  		$j.ajax({  
  		    type: 'POST',  
  		    url: $j(this).attr('value'),  
/*   		    url: ''+ $j(this).attr('value'),   */
/*   		    url: '${pageContext.request.contextPath}/../review/submitScore?course_id=${assessment.getCourseId()}&assessment_id=${assessment.getPropertyId()}&content_id=${ctx.getContentId()}',   */
  		    data: "",  
  		    success: function(config) {  
  		          
  		     }  
  		});    
      });  
   });  
})(jQuery); 

</script>

</bbNG:learningSystemPage>

