<!-- 
 Copyright 2017 Anders Lunde, Robin Sjøvoll

 This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 -->
<%@ page language="java" contentType="text/html; charset=US-ASCII"
	pageEncoding="US-ASCII"
	import="java.util.*,
				blackboard.data.*,
				blackboard.data.user.*,
				blackboard.platform.plugin.*,
				blackboard.data.course.*,
				 no.ntnu.es.bb.schema.Assessment,
				 no.ntnu.es.bb.schema.AssessmentDAO,
				 no.ntnu.es.bb.schema.Evaluation,
				 no.ntnu.es.bb.schema.EvaluationDAO,
				  no.ntnu.es.bb.schema.*,
				 no.ntnu.es.bb.schema.rubric.RubricCell"
%>		 
<%@ taglib uri="/bbData" prefix="bbData"%>
<%@ taglib uri="/bbNG" prefix="bbNG"%>
<%@ taglib uri="/bbUI" prefix="bbUI"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<link href="<c:url value="/resources/css/styles.css" />" rel="stylesheet">

<bbNG:learningSystemPage ctxId="ctx">

	<fmt:setBundle basename="settings" />
	<fmt:message key="name" var="plugin_name" />
	<fmt:message key="module.assessment.create.breadcrumb" var="plugin_breadcrumb" />
	<fmt:message key="module.review.assessment_review.header" var="page_title" />
	<fmt:message key="module.assessment.create.tabbed.panel" var="tabbed_panel" />


	<bbNG:breadcrumbBar>
		<bbNG:breadcrumb href="${recallUrl}" title="Submission Reviews" />
	</bbNG:breadcrumbBar>

	<bbNG:pageHeader>

		<bbNG:pageTitleBar title="Submission Reviews">
		</bbNG:pageTitleBar>

	</bbNG:pageHeader>

  <c:if test="${!isSubmissionExsisting}">
  <h1 style="text-align: center; color: #a8a8a8;">  NO SUBMISSION FOUND </h1>

  </c:if>
 <c:if test="${isSubmissionExsisting}">
		
	<h1 style="text-align: center">${assessment.getName()}</h1>
	<b><c:if test="${isGroupEvaluation}">${submissionGroup.getTitle()}</c:if><c:if test="${!isGroupEvaluation}">${studentSubmissionName}</c:if></b>  <p style="float: right; color: #c4c4c4;">Evaluation due: ${assessment.getEvaluationEndDateAsString()}</p>
	<hr color="#d3d3d3" size="1px" width="100%">
	<br />
	 <div align="center">
	 <iframe src = "../ViewerJS/#../fetchFile?file_name=${currentFileName}&course_id=<%=ctx.getCourseId()%>&assessment_id=${assessment_id}&submission_id=${submission_id}" width='724' height='724' style="border-style: solid;" allowfullscreen webkitallowfullscreen></iframe>
	</div>
	<br />
	<p>${submission.getSubmissionText()}</p>
	<br />
	

	<bbNG:form action="saveReviewOfReview" method="POST" isSecure="${ true }" nonceId="/review/saveReviewOfReview" id="my-form" onsubmit="return validateForm();">
		<input type="hidden" name="edit" value="${edit}" />
		<input type="hidden" name="assessment_id" value="${assessment_id}" />
		<input type="hidden" name="content_id" value="${content_id}" />
		<input type="hidden" name="submission_id" value="${submission_id}" />
		<input type="hidden" name="userToBeEval_id" value="${submission.getSubmissionUserId()}" />
		<input type="hidden" name="group_evaluation_id" value="${groupEvalId}" />
		<input type="hidden" name="course_id" value="<%=ctx.getCourseId()%>" />
		<input type="hidden" name="user_id" value="<%=ctx.getUserId()%>" />
		
		<bbNG:dataCollection showSubmitButtons="false">

			<bbNG:step title="Evaluations">
				<c:forEach items="${evaluations}" var="evaluation">
					<c:if test="${evaluation.get(1).get(0) !=evaluation_id}">
					<input type="hidden" name="evaluation_id" value="${evaluation.get(1).get(0)}">
					
						<bbUI:collapsibleStepContent collapsed="false" divId="review_comment_${evaluation.get(1).get(0) }" title="Evaluation by: ${evaluation.get(0) }">
							<h3>
								<font size="" color="#606060" face="verdana">Rubric Evaluation</font>
							</h3>
							<hr style="margin-bottom:20px;"/>
							<div class="gridOverFlow">
					
								<table class="rubric_table" id="rubric_table_${evaluation.get(1).get(0)}" >
								  <tr class="rubric_tr">
								    <th id="header_1"><h3>Criteria</h3></th>
								    <th class="rubric_table_scale_header" id="scale_header_${evaluation.get(1).get(0)}" colspan="${numberOfScales}" style="text-align: center;"><h3>Scales</h3></th>
								  </tr>
								 
								  <tr class="rubric_tr">
								  	<td colspan="100%">
									  	<span style="color: #45586f;">Rubric score: </span>
									  	<span style="color: #45586f;" id="points_given_span_${evaluation.get(1).get(0)}">${evaluation.get(1).get(2)}</span>
								  	</td>
								 </tr>
								</table>
							</div>
							<br>
							
							<h3>
								<font size="" color="#606060" face="verdana">Verdict</font>
							</h3>
							<hr style="margin-bottom:20px;"/>
							<bbNG:dataElement>
								<span class="review_of_review_span" id="evaluation_description_${evaluation.get(1).get(0)}">
								${evaluationText.get(evaluation.get(2))}
								</span>
								<br>
								<br>
								<span class="review_of_review_span">
									Final points: ${evaluation.get(1).get(1) }
								</span>
							</bbNG:dataElement>
								
							<h3>
								<font size="" color="#606060" face="verdana">Evaluation Feedback</font>
							</h3>
							<hr style="margin-bottom:20px;"/>
							
							<bbNG:dataElement>
								<p class="review_of_review_span_score"> Give a thorough feedback on the evaluation. In addition to a written feedback, specify a reflecting score. </p>
								<br>

								<bbNG:textbox name="feedback_textbox" ftext="${feedbackTextbox.get(evaluation.get(2))}"></bbNG:textbox>
								<p style="margin-top:15px; margin-bottom:15px;">
									<label class="review_of_review_span_score" for="review_score">Give Score:</label>
									<input max="${review_of_review_max_score}" min="0" type="number" name="review_of_review_score"
										onkeypress='return event.charCode &gt;= 48 &amp;&amp; event.charCode &lt;= 57' value="${evaluation.get(3)}"></input>

									<span class="review_of_review_span_score">/${review_of_review_max_score}</span>
								</p>
								<input class="submit button-1" name="button_Submit" type="submit" role="button" value="Submit" onclick="">
								
								</bbNG:dataElement>
										
						</bbUI:collapsibleStepContent>
					</c:if>
					
				</c:forEach>
			</bbNG:step>
			
			<bbNG:stepSubmit showCancelButton="true" />
			
			
		</bbNG:dataCollection>
		

	</bbNG:form>
	</c:if>


	<script type="text/javascript"> 
	
	
	window.onload = function() {
		  buildOtherRubrics();
		};
	
	function buildOtherRubrics(){
		var evaluations = ${evaluations};
		for(var x = 0; x < evaluations.length; x++){
			var evaluation = evaluations[x];
			 if(evaluation[1][0] != ${evaluation_id}){
				var collapsibleList = document.getElementById("review_comment_" + evaluation[1][0] + ".h3");
				var titleText = collapsibleList.childNodes[0].childNodes[2];
				titleText.nodeValue = "Evaluation by: " + evaluation[0].replace(/['"]+/g, '');
				
				var table = document.getElementById("rubric_table_" + evaluation[1][0]);
				
				var cells = ${cellsInRows};
				
				for(var j = 0; j < cells.length; j++){
					var fillRow = cells[j];
					var posSelected = -1;
					posSelected = evaluation[1][6][j];
					
					// Create an empty <tr> element and add it to the 1st position of the table:
					var row = table.insertRow(table.rows.length-1);
					
					// Insert new cells (<td> elements) at the 1st and 2nd position of the "new" <tr> element:
					var cell1 = row.insertCell(0);
					cell1.setAttribute("class","rubric_table_row_description");
					
			 		var criteria_span = document.createElement("span");
			 		criteria_span.innerHTML = "<strong>" + fillRow[0][1] + "</strong>";
			 		
			 		cell1.appendChild(criteria_span);
			 		// Add some text to the new cells:

					for(i = 1; i < fillRow.length; i++){
						
						var fillCell = fillRow[i];
						var cell = row.insertCell(i);
						var scale_div = document.createElement("div");
						scale_div.setAttribute("class","div_scales");
						
						var scale_paragraph = document.createElement("p");
						scale_paragraph.setAttribute("class","p_scales");
						
						var scale_pos_input = document.createElement("input");
						scale_pos_input.setAttribute("type","hidden");
						//console.log("posSelected: " + posSelected);
						 if(posSelected === i){
							scale_pos_input.setAttribute("value",i + "-checked");
							var radioHtml = '<input type="radio" class="p_scales_radio" disabled checked name="' + "scale_radio_others_" + evaluation[1][0] + "_" + j + '"' + '/>';
						}else{
							scale_pos_input.setAttribute("value",i + "-unchecked");
							var radioHtml = '<input type="radio" class="p_scales_radio" disabled name="' + "scale_radio_others_" + evaluation[1][0] + "_" + j + '"' + '/>';
						}
						scale_pos_input.setAttribute("name","scale_pos_input_others");
						scale_pos_input.setAttribute("class","scale_pos_input_id_others_" + j);
						
						   
					    var radioFragment = document.createElement('div');
					    radioFragment.innerHTML = radioHtml;
					    
						
						var scale_span = document.createElement("span");
						var span_text = document.createTextNode(" Points: " + fillCell[0]);
						scale_span.appendChild(span_text);
						
						var scale_span_description = document.createElement("span");
						if(fillCell[1] === ""){
							scale_span_description.innerHTML = "No description added";
						}else{
							scale_span_description.innerHTML = fillCell[1];
						}
						
						scale_span_description.setAttribute("id","scale_descriptions_others");
						scale_span_description.setAttribute("name","scale_descriptions_others");
						
						scale_paragraph.appendChild(scale_pos_input);
						scale_paragraph.appendChild(radioFragment.firstChild);
						scale_paragraph.appendChild(scale_span);
						scale_div.appendChild(scale_paragraph);
						var br = document.createElement("br");
						scale_div.appendChild(br);
						scale_div.appendChild(scale_span_description);
						
						cell.setAttribute("class","rubric_table_scales_td");
						cell.appendChild(scale_div);
					}
					
				}
			} 
			 
		}
		
		
	}
		
	
</script>

</bbNG:learningSystemPage>

