<!-- 
 Copyright 2017 Anders Lunde, Robin Sjøvoll

 This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 -->
<%@ page language="java" contentType="text/html; charset=US-ASCII"
	pageEncoding="US-ASCII"
	import="java.util.*,
				blackboard.data.*,
				blackboard.data.user.*,
				blackboard.platform.plugin.*,
				blackboard.data.course.*,
				 no.ntnu.es.bb.schema.Assessment,
				 no.ntnu.es.bb.schema.AssessmentDAO,
				 no.ntnu.es.bb.schema.Submission"
%>		 
<%@ taglib uri="/bbData" prefix="bbData"%>
<%@ taglib uri="/bbNG" prefix="bbNG"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<link href="<c:url value="/resources/css/styles.css" />" rel="stylesheet">

<bbNG:learningSystemPage ctxId="ctx">

	<fmt:setBundle basename="settings" />
	<fmt:message key="name" var="plugin_name" />
	<fmt:message key="hw.main.page.breadcrumb" var="plugin_breadcrumb" />
	<fmt:message key="hw.main.page.header" var="page_title" />
	<fmt:message key="hw.main.tabbed.panel" var="tabbed_panel" />


	<bbNG:breadcrumbBar>
		<bbNG:breadcrumb href="${recallUrl}" title="Student Reviews" />
	</bbNG:breadcrumbBar>


	<bbNG:pageHeader>

		<bbNG:pageTitleBar title="Student Reviews">
		</bbNG:pageTitleBar>

	</bbNG:pageHeader>


	<br />
	<br />
	
	<c:set var="courseID" value="<%=ctx.getCourseId()%>" />
	<c:set var="contentID" value="<%=ctx.getContentId()%>" />
	
			<bbNG:inventoryList showDescriptionAsHeader="true"
						className="List"
						collection="${submissions}"
						objectVar="submission"
						emptyMsg="No reviews available for the assessment yet"
						includePageParameters="true"
						description="This are the submissions you have been assigned to review." listId="submissionReviewList"
						enableSelectEntireList="true">
						<bbNG:listOptions allowEditPaging="false" />

						<bbNG:listElement isRowHeader="true" label="Name" name="Name">${submission.get(1) }</bbNG:listElement>
						<bbNG:listElement label="Submission reviews" name="SubmissionReviews">
							 <a class="ntnu" href="../review/assessment_review?course_id=${assessment.getCourseId()}&assessment_id=${assessment.getPropertyId()}&submission_id=${submission.get(0).getPropertyId()}">Review Submission</a>
						</bbNG:listElement>
						<bbNG:listElement label="Status" name="status">
							<c:choose>
							    <c:when test="${submission.get(2)}"> <!-- Test if submission and score is accepted -->
							        <h4 class="review_accepted">Review completed</h4>
							        <br />
							    </c:when>    
							    <c:otherwise>
							        <h4 class="review_not_corrected">Not reviewed yet</h4>
							        <br />
							    </c:otherwise>
							</c:choose>
							
							 
						</bbNG:listElement>
						<bbNG:listElement label="Feedback on evaluation" name="review_of_review">
							<c:choose>
							    <c:when test="${submission.get(3)}"> <!-- Test if submission and score is accepted -->
							        <h4 class="review_accepted">Feedback on evaluation received</h4>
							        <br />
							    </c:when>    
							    <c:otherwise>
							        <h4 class="review_not_corrected">No feedback received yet</h4>
							        <br />
							    </c:otherwise>
							</c:choose>
							
							 
						</bbNG:listElement>

			</bbNG:inventoryList>
<bbNG:okButton url="redirectContent?course_id=${courseID}&content_id=${contentID}"/>

	<script type="text/javascript"> 
	
</script>

</bbNG:learningSystemPage>

