<!-- 
 Copyright 2017 Anders Lunde, Robin Sjøvoll

 This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 -->
<%@ page language="java" contentType="text/html; charset=US-ASCII"
	pageEncoding="US-ASCII"
	import="java.util.*,
				blackboard.data.*,
				blackboard.data.user.*,
				blackboard.platform.plugin.*,
				blackboard.data.course.*,
				 no.ntnu.es.bb.schema.Assessment,
				 no.ntnu.es.bb.schema.AssessmentDAO"%>
<%@ taglib uri="/bbData" prefix="bbData"%>
<%@ taglib uri="/bbNG" prefix="bbNG"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<link href="<c:url value="/resources/css/styles.css" />"
	rel="stylesheet">

<bbNG:learningSystemPage ctxId="ctx">

	<fmt:setBundle basename="settings" />
	<fmt:message key="name" var="plugin_name" />
	<fmt:message key="module.submission.submit.header" var="page_title" />


	<bbNG:breadcrumbBar>
		<bbNG:breadcrumb href="${recallUrl}" title="${page_title}" />
	</bbNG:breadcrumbBar>


	<bbNG:pageHeader>

		<bbNG:pageTitleBar title="${page_title} ${assessment_name}">
		</bbNG:pageTitleBar>

	</bbNG:pageHeader>

<c:if test="${!isGroupSubmission || (isGroupSubmission && groupSubId != -1)}">
	<bbNG:form name="uploadForm" enctype="multipart/form-data" action="saveSubmission" method="POST" isSecure="${ true }"
		nonceId="/submission/saveSubmission">
		<input type="hidden" name="assessment_id" value="${assessment_id}" />
		<input type="hidden" name="course_id" value="<%=ctx.getCourseId()%>" />
		<input type="hidden" name="content_id" value="${content_id}" />
		<input type="hidden" name="user_id" value="<%=ctx.getUserId()%>" />
		<input type="hidden" name="edit" value="${edit}" />
		<input type="hidden" name="submission_id" value="${submission_id}" />
		<input type="hidden" name="group_submission_id" value="${groupSubId}" />

		<bbNG:dataCollection>

			<bbNG:step id="step1_assignment_information"
				title="ASSIGNMENT INFORMATION">
				<h3 style="color: #444444;">${assessment_name}</h3>
				<p>${assessment_instructions}</p>
				<br>
				<c:if test="${isGroupAssessment}"><b style="color: #444444;">Deliver as Group: </b> ${groupName}<br></c:if>
				<c:if test="${assessment_files.size() > 0}" ><b style="color: #444444;">Assessment Files: </b></c:if>
				<c:forEach items="${assessment_files}" var="file" varStatus="loop">
					<a href="downloadFile?index=${loop.index}&course_id=<%=ctx.getCourseId()%>&assessment_id=${assessment_id}">${file.getName()}</a>
				</c:forEach>
				<!-- fetchFile/{file_name}&{course_id}&{assessment_id}&{submission_id} -->
				<br/>
			</bbNG:step>


			<bbNG:step id="step2_assignment_files" title="ASSIGNMENT FILES">

				<!-- If the "allowMultipleFiles" option is true, one or more filePickerListElement or 
pickerListElement tags must be specified as child tags to determine which columns show up in the 
"already attached files" table. -->
			<%-- 	<p>Current File Path: ${filePath}</p> --%>
				<p><b style="color: #444444;">Current File Name: ${currentFileName} </b></p>
				<br/>
				<bbNG:dataElement isRequired="false" label="File to be imported:">
					<bbNG:filePicker allowMultipleFiles="false"
						baseElementName="submission_file"
						mode="INLINE_SINGLE_LOCAL_FILE_ONLY" required="false"
						var="submission_file"
						/>
				</bbNG:dataElement>
			</bbNG:step>
			
			<bbNG:step id="step3_assignment_text" title="ASSIGNMENT SUBMISSION TEXT">

				<bbNG:dataElement label="Submission text">
					<bbNG:textbox name="submission" ftext="${submission_text}"></bbNG:textbox>
				</bbNG:dataElement>
			</bbNG:step>
			
			<bbNG:step id="step4_assignment_comment" title="ADD COMMENTS">


				<bbNG:dataElement label="Comments">
					<bbNG:textbox name="submission_comments_" ftext="${comment_text}"></bbNG:textbox>
				</bbNG:dataElement>

			</bbNG:step>

			<bbNG:stepSubmit showCancelButton="true" >
				<bbNG:stepSubmitButton label="${edit? 'Update' : 'Submit'}"/>
			</bbNG:stepSubmit>

		</bbNG:dataCollection>

	</bbNG:form>
</c:if>
<c:if test="${isGroupSubmission && groupSubId == -1}">
This is a group submission and you are not part of any of the groups eligible for this assessment. 
Join an eligible group or have your instructor add your group to this assessment.
</c:if>

</bbNG:learningSystemPage>

